   RESTART CONFIRM
/*
/*   Release Test Number 11
/*
/*   This command procedure makes calls to the Metafile system
/*   to insure that the Metafile system is working properly on
/*   the installations that have it installed.
/*
/*
/*   NOTE TO THE INSTALLER:
/*   ----------------------
/*
/*   This test procedure should work in one of two ways:
/*
/*     - If your installation has the Metafile system, then this
/*       test procedure should operate without any errors.
/*
/*     - If your installation does not have the Metafile system,
/*       then this test procedure should generate an error message
/*       indicating that the Metafile option is not available.
/*
/*   If this test procedure causes the PicSure system to crash or
/*   else generates an error message incorrectly, then either the
/*   Metafile installation or the PicSure installation need to be
/*   checked.
/*
/*   The Metafile filename is installation dependent and you should
/*   edit this release test prior to executing it.
/*
/*
/*
/*  This release test saves four charts in files specified by the
/*  SAVE CHART and RESTORE CHART commands.  The names of these files
/*  are installation dependent and you should edit this release
/*  test prior to executing it.
/*
/* Chart definition commands.
/*
 METAFILE NAME 'METATST.MFL'
/*
 PIE CHART
/*
/* Text definition commands.
/*
 TITLE Free World Widebody Transport Market Shares
 SUBTITLE Based on Value of Firm Orders
/*
 NOTE 1 1979
 TEXT POSITION  21.12  77.59
/*
 NOTE 2 Pie diagrams depicted in proportions to the constant dollar
 TEXT JUSTIFICATION 1 2
 TEXT POSITION 5.95 12.69
/*
 NOTE 3 value of widebody transport orders
 TEXT JUSTIFICATION 1 2
 TEXT POSITION 63.00 12.69
/*
 NOTE 4 minus cancellations taken in years shown.
 TEXT JUSTIFICATION 1 2
 TEXT POSITION 5.95 8.71
/*
 NOTE 5 Source: Bureau of Industrial Economics
 TEXT JUSTIFICATION 1 3
 TEXT POSITION 5.95 5.92
/*
 CURRENT TEXTITEM NOTE 2 TO 5
 TEXT SIZE 2.25
/*
 NOTE 6 70%
 TEXT POSITION 18.63 39.93
/*
 NOTE 7 30%
 TEXT POSITION 25.20 60.44
/*
/* Dataset definition commands.
/*
 ENTER DATASET 'SHARES' 30 70 END
/*
/* Pie chart definition commands.
/*
 PIE CENTER 21.1158 49.9939
 PIE SIZE  40.0000
/*
 CURRENT SEGMENT 1
 SEGMENT PATTERN 30
 LEGEND ENTRY Airbus Industrie
/*
 CURRENT SEGMENT 2
 SEGMENT PATTERN 34
 LEGEND ENTRY U.S.
/*
 DISABLE QUANTITY LABELS
 DISABLE PERCENT LABELS
/*
 LEG POS 5.95 24.54
/*
 SAVE CHART PIE01
 SAVE METAFILE 'RELEASE TEST 11' NOERASE
/*
/* Text definition commands.
/*
 NOTE  1 1980
 TEXT POSITION  51.96  71.79
/*
 NOTE  2 24%
 TEXT POSITION  56.11  55.96
 TEXT SIZE 2.75
/*
 NOTE  3 76%
 TEXT POSITION  49.23  43.92
 TEXT SIZE 2.75
/*
/* Dataset definition commands.
/*
 DELETE ALL CONFIRM
 ENTER DATASET 'SHARES' 24 76 END
/*
/* Pie chart definition commands.
/*
 PIE CENTER 51.9608 49.9573
 PIE SIZE 30.0000
/*
 CURRENT SEGMENT 1
 SEGMENT PATTERN 30
/*
 CURRENT SEGMENT 2
 SEGMENT PATTERN 34
/*
 DISABLE CHART BACKGROUND
 DISABLE TITLE
 DISABLE SUBTITLE
 DISABLE NOTE 4
 DISABLE NOTE 5
 DISABLE NOTE 6
 DISABLE NOTE 7
 DISABLE LEGEND
/*
 SAVE CHART PIE02
 SAVE METAFILE NOERASE
/*
/* Text definition commands.
/*
 NOTE  1 1981
 TEXT POSITION  75.74  68.45
 NOTE  2 36%
 TEXT SIZE 2.5
 TEXT POSITION  76.45  55.08
 NOTE  3 64%
 TEXT SIZE 2.5
 TEXT POSITION  74.57  45.73
/*
/* Dataset definition commands.
/*
 DELETE ALL YES
 ENTER DATASET 'SHARES' 36 64 END
/*
/* Pie chart definition commands.
/*
 PIE CENTER 75.7439 50.1607
 PIE SIZE 20.0000
 CURRENT SEGMENT 1
 SEGMENT PATTERN    30
/*
 CURRENT SEGMENT 2
 SEGMENT PATTERN  34
/*
 SAVE CHART PIE03
 SAVE METAFILE NOERASE
/*
/* Text definition commands.
/*
 NOTE  1 1982
 TEXT POSITION  90.91  64.46
/*
 NOTE  2 42%
 TEXT POSITION  89.40  52.62
 TEXT SIZE 2.25
/*
 NOTE  3 58%
 TEXT POSITION  89.76  47.95
 TEXT SIZE 2.25
/*
/* DATASET DEFINITION COMMANDS
/*
 DELETE ALL CONFIRM
 ENTER DATASET 'SHARES' 42 58 END
/*
/* Pie chart definition commands.
/*
 PIE CENTER 90.9085 50.1607
 PIE SIZE 10.0000
 CURRENT SEGMENT 1
 SEGMENT PATTERN 30
 CURRENT SEGMENT 2
 SEGMENT PATTERN 34
/*
 SAVE CHART PIE04
 MULTIPLOT 'PIE01' 'PIE02' 'PIE03' 'PIE04' END
/*
 SAVE METAFILE NOERASE
/*
/*
/*   End of Release Test 11
/*
/*   Now exit PicSure and draw the metafile that you just saved by
/*   using your Metafile Translator.  This should result in the
/*   same picture as displayed during the release test.
/*
