# @(#) hcx.mk

DIRS=inline ml os io ufs net netinet hcxif bsc nfs rpc

all: 	${DIRS}

${DIRS}: FRC
	@echo ================================= $@ =============================
	@if [ -f $@/$@.mk ]; then \
		cd $@; make -f $@.mk "INCRT=$(INCRT)" "C2=$(C2)" "CFL=$(CFL)"; \
	fi

FRC:

install:
	for i in ${DIRS} ; do \
		if [ -f $$i/$$i.mk ]; then \
			( cd $$i; make -f $$i.mk "CFL=$(CFL)" install ); \
		fi \
	done

clean:
	for i in ${DIRS} ; do \
		if [ -f $$i/$$i.mk ]; then \
			( cd $$i; make -f $$i.mk clean ); \
		fi \
	done

clobber:
	for i in ${DIRS} ; do \
		if [ -f $$i/$$i.mk ]; then \
			( cd $$i; make -f $$i.mk clobber ); \
		fi \
	done

lint:
	for i in ${DIRS} ; do \
		if [ -f $$i/$$i.mk ]; then \
			( cd $$i; make -f $$i.mk lint ); \
		fi ; \
		sed "s/ / ..\/$$i\//g" $$i/lintfiles >> cf/lintfiles ; \
	done

depend:
	for i in ${DIRS} ; do \
		if [ -f $$i/$$i.mk ]; then \
			( cd $$i; make -f $$i.mk depend ); \
		fi \
	done
