int logical_to_xycmd[MTNUMCMDS]={
/*DO_W_FM*/ 		XYEXTENDED_WRITE,
/*DO_SFMF*/ 		XYPOSITION,
/*DO_SFMB*/ 		XYPOSITION,
/*DO_SPF*/ 		XYPOSITION,
/*DO_SPB*/ 		XYPOSITION,
/*DO_RWTA*/ 		XYDRIVE_RESET,
/*DO_RWUN*/ 		XYDRIVE_RESET,
/*DO_STAT*/ 		XYNOP,
/*DO_SYNC*/		XYHANDLER,
/*DO_SETTYPE*/		XYHANDLER,
/*DO_RWOV*/ 		XYDRIVE_RESET,
/*DO_WAIT*/ 		XYHANDLER,
/*DO_WEOV*/ 		XYHANDLER,
/*DO_RRD*/ 		XYREAD,
/*DO_RWT*/ 		XYWRITE,
/*DO_BRD*/ 		XYREAD,
/*DO_BWT*/ 		XYWRITE,
} ;



int logical_to_xysub[MTNUMCMDS]={
/*DO_W_FM*/ 		XYWRITE_FILE_MARK,
/*DO_SFMF*/ 		XYFILE_SEARCH_FORWARD,
/*DO_SFMB*/ 		XYFILE_SEARCH_REVERSE,
/*DO_SPF*/ 		XYSPACE_FORWARD,
/*DO_SPB*/ 		XYSPACE_REVERSE,
/*DO_RWTA*/ 		XYREWIND,
/*DO_RWUN*/ 		XYUNLOAD_OFF_LINE,
/*DO_STAT*/ 		XYNOSUBCODE,
/*DO_SYNC*/		XYNOSUBCODE,
/*DO_SETTYPE*/		XYNOSUBCODE,
/*DO_RWOV*/ 		XYREWIND,
/*DO_WAIT*/ 		XYHANDLER,
/*DO_WEOV*/ 		XYHANDLER,
/*DO_RRD*/ 		XYNOSUBCODE,
/*DO_RWT*/ 		XYNOSUBCODE,
/*DO_BRD*/ 		XYNOSUBCODE,
/*DO_BWT*/ 		XYNOSUBCODE,
} ;

unsigned char xy_density_command[NUMDRIVETYPE][NUMDENSITYS] = 
{
	0x00, 0x00, 0x00, 0x00, /*CIPHERF880*/
	0x00, 0x1c, 0x1d, 0x00, /*CIPHERF890*/
	0x00, 0x1c, 0x1d, 0x03, /*CIPHERM990*/
	0x00, 0x00, 0x00, 0x00, /*CDC92181*/
	0x00, 0x1c, 0x00, 0x1d, /*CDC92185*/
	0x00, 0x1c, 0x00, 0x1d, /*FUJI2242*/
	0x00, 0x00, 0x00, 0x00, /*KENNEDY9400*/
	0x0e, 0x1c, 0x00, 0x00, /*KENNEDY9600*/
	0x00, 0x00, 0x1d, 0x00, /*PERTECFS1000*/
	0x03, 0x00, 0x1d, 0x13, /*PERTECFS2000*/
	0x00, 0x1c, 0x00, 0x1d, /*STC2920*/
	0x9c, 0x1c, 0x00, 0x1d, /*TELEXSHAMROCK*/
	0x00, 0x00, 0x00, 0x00, /*THORN9800*/
	0x0a, 0x1c, 0x1d, 0x00, /*THORN9900*/
	0x00, 0x00, 0x00, 0x00, /*HARRIS6330*/
	0x00, 0x00, 0x00, 0x00, /*HARRIS6331*/
	0x00, 0x1c, 0x1d, 0x00, /*HARRIS6350*/
	0x00, 0x1c, 0x1d, 0x00, /*HARRIS6351*/
	0x00, 0x1c, 0x00, 0x1d, /*HARRIS6740*/
	0x00, 0x1c, 0x1d, 0x00, /*CIPHERF891*/
} ;


unsigned char XYDENSITYSUBFN[NUMDENSITYS] =
{
	XYSET800,
	XYSET1600,
	XYSET3200,
	XYSET6250,
} ;


long xyaddr[] =
{
	0xff8000,
	0xff8040,
} ;


#define XYNUMERRMSG 38
struct xyerror xy_error_msg[XYNUMERRMSG] =
{
{ 0x0 ,	"Successful Completion"},
{ 0x10 ,	"Density change, not at BOT"},
{ 0x11 ,	"Illegal parameters combination"},
{ 0x12 ,	"Continue command odd address or byte count error"},
{ 0x13 ,	"Count zero"},
{ 0x14 ,	"Illegal command"},
{ 0x1c ,	"Illegal scatter/gather length"},
{ 0x1e ,	"Next IOPB address alignment error"},
{ 0x30 ,	"Corrected data"},
{ 0x40 ,	"Uncorrectable tape error"},
{ 0x41 ,	"End-Of-Tape detected"},
{ 0x42 ,	"Filemark write fault"},
{ 0x43 ,	"Operation timeout"},
{ 0x44 ,	"DMAC timeout"},
{ 0x45 ,	"Tape parity error"},
{ 0x46 ,	"FIFO buffer parity error"},
{ 0x47 ,	"Record length long"},
{ 0x48 ,	"Record length short"},
{ 0x49 ,	"Data late detected"},
{ 0x4a ,	"Fatal DMAC error"},
{ 0x4b ,	"Bus error"},
{ 0x4c ,	"Continue reload error"},
{ 0x60 ,	"Drive fault"},
{ 0x61 ,	"Drive not ready"},
{ 0x71 ,	"Firmware failure"},
{ 0x81 ,	"IRAM checksum error"},
{ 0x82 ,	"IOPB Aborted by command"},
{ 0x83 ,	"IOPB aborted by error"},
{ 0x90 ,	"Tape reel write-protected"},
{ 0x91 ,	"Drive off-line"},
{ 0xa0 ,	"Reverse into BOT"},
{ 0xa1 ,	"Filemark detected on read"},
{ 0xb0 ,	"Buffer too large"},
{ 0xb1 ,	"Drive not ready"},
{ 0xb2 ,	"Timeout while waiting for drive to rewind"},
{ 0xb3 ,	"IOPB completed out of order"},
{ 0xb4 ,	"Uncorrectable tape error"},
{ 0x0 ,	"Illegal completion code!" },
} ;



