

bi
     (break instruction) set a breakpoint at a machine
     instruction

Format
     bi [instruction] [of task] [begin commands end]

     bi [instruction] [of task] when expression

     bi [instruction] [of task] if expression then [commands]
     [else [commands]] end [if]

     bi [instruction] [of task] if expression else [commands] end
     [if]

Description
     bi sets a breakpoint at a specific machine instruction. The
     instruction address should be given as a hexadecimal number
     with a leading 0. li or wi can be used to get a display of
     the instructions (disassembly) to indicate exactly where to
     set the instruction breakpoint.

     bi breakpoints may be set for a particular task using the of
     task option, where task is a task number obtained using the
     lt command.

     Execute a block of debugger commands automatically whenever
     the breakpoint is reached by appending a begin-end block. A
     conditional bi breakpoint may be set by using a when or if
     statement. (See the b command for a description of
     conditional breakpoints.)

     Each breakpoint set with b, bd, bi, or bx is given a number.
     This number is displayed by the lb command and is used with
     the d command to delete the breakpoint.

In Screen Mode
     In screen mode, precede this command with : and follow with
     <RETURN>.
