

cs
     (call stack) list the frames of the call stack

Format
     cs [reg] [number] [of task]

Description
     cs displays the call stack, starting with the current frame.
     If number is specified, only the topmost number frames are
     displayed (0 means all).

     If the of task clause is used, where task is a task number
     obtained using the lt command, the call stack for that task
     is displayed.

     The leftmost column of the display contains a number for
     each frame. This number can be used with the cd and cu
     commands.

     Other stack commands are cb, cd, cu, and ct.

     If the keyword reg is used, an extra three-line hexadecimal
     dump is provided per frame. The first line shows the values
     of the PC, FP, and AP registers. (On most machines, the FP
     and AP registers are the same register). The second line
     displays a row of 32-bit words, starting with the word
     pointed to by FP and then moving down to lower addressed
     words. The third line displays a row of 32-bit words,
     starting with the word pointed to by the AP and then moving
     up, to higher addressed words.

In Screen Mode
     Type cs in screen mode; pressing <RETURN> afterward is not
     necessary. However, in screen mode the number parameter
     precedes the cs (unlike line mode where the number follows
     cs).  For example, to see the top three frames of the call
     stack in screen mode, type 3cs.
