

cu
     (call up) move up one frame on the call stack

Format
     cu [name|number]

Description
     cu moves up one frame on the call stack. If name or number
     is provided, cu moves up to the next frame on the call stack
     with that name or number.

     The new frame becomes the current frame, and the line being
     executed in that frame becomes the current home position,
     marked with *.

     The debugger prints a one-line display corresponding to the
     new current frame. This line is the same line that the cs
     command displays for the frame: to the left is the frame
     number, followed by the name of the subprogram (package or
     task) that the frame represents, followed by the names and
     values of actual parameters if there are any.

     If number is 0, cu moves to the current frame. This is
     helpful moving into a new file using the e command. The *
     command is a synonym for cu 0. (See line numbers.)

     Local variables and parameters in an upper frame can be made
     visible using cb.

In Screen Mode
     Type cu in screen mode; pressing <RETURN> afterward is not
     necessary. The name option may not be used directly in
     screen mode, but the number option is supported (however the
     number parameter precedes cu instead of following it as in
     line mode). For example, to move to stack frame 5 on the
     call stack in screen mode, type 5cu.

     In response to the command in screen mode, the debugger
     displays the source code surrounding the new home position
     in the source window. The one-line display mentioned above
     is shown in the command window.
