

e
     (enter) move to a new source file

Format
     e [subprogram|file-name]

Description
     e provides a convenient way to move the current position to
     a new file or subprogram within a file. If a file is
     specified, the current position becomes the beginning of the
     file. If a subprogram is entered, the current position
     becomes the first line of the subprogram in the source file.

     It is not necessary for the subprogram name to be directly
     visible. For the b, e, edit, and vi commands, the subprogram
     is first looked up as a normal Ada (or C) name. If it is not
     directly visible, all subprogram names in the program are
     searched. Expanded names (Ada RM 4.1.3(13)) can also be
     used, starting with STANDARD if desired.

     If the subprogram name is overloaded within the context in
     which it is looked up, a message is displayed showing the
     alternatives. A '1, '2, ... suffix must be used (matching
     one of the alternatives) on the subprogram name to
     disambiguate. (See overloading.)

File Names
     File names that contain only alphanumeric characters, dots,
     and underscores need not be enclosed in quotes (e.g.,
     "file.c"), but those containing other characters must be
     enclosed in quotes. Enclosing a file name in quotes often
     eliminates errors, for example, if part of the file name
     collides with a keyword or program variable.

In Screen Mode
     Invoke the e command by positioning the cursor on any
     character of a subprogram name and typing <CONTROL>]. This
     has the same effect as typing e file-name in line mode - the
     source window is rewritten with the source code
     corresponding to the named subprogram.

     e can also be used in screen mode by preceding the command
     with : and following with <RETURN>.
