      PROGRAM TX0477
C
C     ***** DI-3000 EXTENDED TEST PROGRAM NUMBER 4
C
C     ***** DI-3000 EXTENDED TEST PROGRAM ... WILL NOT RUN WITH LEVEL-A
C
C     ***** TESTS .....
C
C     *****    RETAINED SEGMENTS AND EXPLICIT IMAGE TRANSFORMATIONS
C
C     ***** THIS PROGRAM IS SIMILAR TO THE PARTIAL PROGRAM IN THE
C     ***** DI-3000 USER'S GUIDE USED TO GENERATE FIGURES .....
C     ***** 2.5.3, 2.5.4, 2.5.5, AND 2.5.6
C
      INTEGER OUTDEV, INPDEV
      OUTDEV = 1
      INPDEV = 1
C
      CALL JBEGIN
      CALL JDINIT (OUTDEV)
      CALL JDEVON (OUTDEV)
C
C     ***** DEFINE THE DISPLAY AREA TO BE A RECTANGULAR SUBSET
C     ***** OF THE DEFAULT VIEWSPACE.
C
      CALL JWINDO (-90.,90.,-60.,60.)
      CALL JVPORT (-0.9,0.9,-0.6,0.6)
      CALL JWCLIP (.TRUE.)
C
      CALL JDPINT (1)
      CALL JDJUST (2,2)
      CALL JDSIZE (5.,5.)
      CALL JDFONT (1)
      CALL JDINTE (32767)
C
C     ***** CHANGE THE DEFAULT IMAGE TRANSFORMATION TYPE TO
C     ***** 2D TRANSLATE
C
      CALL JTTYPE (1)
C
C     ***** OPEN THE 'TRANSLATABLE' RETAINED SEGMENT
C
      CALL JROPEN (1)
         CALL JPIDEX (5,0)
         CALL JRECT (-45.,-5.,45.,5.)
         CALL JMOVE (0.,0.)
         CALL JHSTRG ('TRANSLATED STRING')
      CALL JRCLOS
C
C     ***** SUBSEQUENT RETAINED SEGMENTS WILL BE SUBJECT TO 2D COMPLETE
C     ***** IMAGE TRANSFORMATIONS.
C
      CALL JTTYPE (2)
C
C     ***** OPEN ANOTHER SEGMENT THAT WILL LATER BE SCALED AND ROTATED.
C
      CALL JROPEN (2)
         CALL JPIDEX (6,0)
         CALL JRECT (-50.,15.,50.,25.)
         CALL JMOVE (0.,20.)
         CALL JHSTRG ('SCALED AND ROTATED')
      CALL JRCLOS
C
C     ***** OPEN A THIRD SEGMENT THAT IS PARTIALLY CLIPPED.
C
      CALL JROPEN (3)
         CALL JMOVE (65.,40.)
         CALL JHSTRG ('PARTIALLY CLIPPED')
      CALL JRCLOS
C
C     ***** ALL THREE SEGMENTS ARE VISIBLE ON THE DISPLAY
C
      CALL JPAUSE (OUTDEV)
C
C     ***** EXPLICITLY TRANSLATE SEGMENT 1
C     ***** CHANGING THE IMAGE TRANSFORMATION WILL CAUSE A
C     ***** NEW FRAME ACTION ..... PAUSE AFTER TRANSFORMING
C
      CALL JT2TRA (1,0.7,-0.5)
      CALL JPAUSE (OUTDEV)
C
C     ***** SCALE AND ROTATE SEGMENT TWO ..... PAUSE
C
      CALL JT2ALL (2,0.,0.2,2.,3.,-0.7854,-0.5,0.)
      CALL JPAUSE (OUTDEV)
C
C     ***** TRANSLATE THE PARTIALLY CLIPPED STRING
C     ***** THE TRANSLATED VERSION WILL ALSO BE CLIPPED
C
      CALL JT2TRA (3,-0.5,0.0)
      CALL JPAUSE (OUTDEV)
C
      CALL JEND
      STOP
      END
