 RESTART CONFIRM
/*
/* CHART DEFINITION COMMANDS
/*
 USE LAYOUT LINEM01
 DISABLE LEGEND
 DATA WINDOW 14. 86. 14. 82.
/*
/* TEXT DEFINITION COMMANDS
/*
 TITLE Different Climates Of The U.S.
 TEXT FONT COMPLEX
 NOTE 1 TEMPERATURE
 TEXT POSITION  53.60  63.26
 NOTE 2 PRECIPITATION
 TEXT POSITION  52.48  21.54
 NOTE 3 Peoria, Illinois
 TEXT JUSTIFICATION     LEFT, CENTER
 TEXT POSITION  22.30  78.42
 NOTE 4 Santa Monica, California
 TEXT JUSTIFICATION     LEFT, CENTER
 TEXT POSITION  54.22  78.42
/*
/*  SYMBOL DEFINITION COMMANDS
/*
 DEFINE SYMBOL     1
 LINE      16.0700  78.4180,  21.1803  78.4180  END
 SYMBOL LINE STYLE SOLID
 SYMBOL LINE COLOR RED
 DEFINE SYMBOL     2
 LINE      47.3670  78.4180,  52.4804  78.4180  END
 SYMBOL LINE STYLE DASHED
 SYMBOL LINE COLOR GREEN
/*
/* AXIS DEFINITION COMMANDS
/*
 DISABLE LEFT REFERENCE LINE
 CURRENT AXIS LEFT
 AXIS LABEL Temperature (F)
 AXIS RANGE  -70 90
 TICK PLACEMENT 10,90,20
/*
 CURRENT AXIS RIGHT
 AXIS LABEL Precipitation (inches)
 AXIS RANGE  0 14
 ENABLE RIGHT TICK LINES
 TICK PLACEMENT  0 6 1
 TICK NOTES '1.0' '2.0' '3.0' '4.0' '5.0' '6.0' '7.0'
' ' ' ' ' ' ' ' ' ' ' ' ' ' END
/*
 ENABLE TOP AXIS LINE
/*
/* DATASET DEFINITION COMMANDS
/*
 ENTER DATASET Peoria, Illinois
   22.
   25.
   30.
   37.
   55.
   67.
   76.
   69.
   56.
   42.
   33.
   21.
 END
/*
 ENTER DATASET Santa Monica, California
   51.
   52.
   53.
   64.
   55.
   60.
   63.
   62.
   58.
   57.
   53.
   52.
 END
/*
 ENTER DATASET Peoria Precipitation
   2.0
   2.2
   2.5
   2.8
   3.1
   2.9
   3.0
   2.6
   3.3
   2.0
   1.9
   1.9
 END
 LINE STYLE SOLID
 /*
 ASSOCIATE AXIS RIGHT
/*
 ENTER DATASET Santa Monica Precipitation
   3.0
   2.8
   2.6
   0.3
   0.35
   0.2
   0.08
   0.06
   0.07
   0.8
   1.0
   2.1
 END
 LINE STYLE DASHED
 /*
 ASSOCIATE AXIS RIGHT
/*
/*  DRAW THE CHART
/*
  DRAW
