   RESTART CONFIRM
/*
/*   Release Test Number 10
/*
/*   This command procedure invokes a HELP message, uses a LAYOUT,
/*   and uses invalid commands to test that the HELP, LAYOUT, and
/*   ERROR files are all present.
/*
/*
/*   Invoke a HELP message.
/*
   HELP PREVIEW
/*
/*   Use a LAYOUT.
/*
   USE LAYOUT VBARM01
/*
   ENABLE ECHO
/*
/*   Define a dataset with five elements but put an unrecognized
/*   entity at the end of the command.  The message should read
/*   than an unrecognized value was encountered and that 5 valid
/*   data values were accepted.
/*
   ENTER DEPENDENT DATASET 'TEST' 1 2 3 4 5 JUNK
/*
/*   Try to list elements 6 through 10 in the current dataset.
/*   This should generate a warning message stating the dataset
/*   elements are not in the valid range.
/*
   LIST 6 TO 10
/*
/*   Generate a warning message that the string entered was more
/*   than thirty characters long.
/*
   LEGEND ENTRY 'CHARACTER STRING LONGER THAN THIRTY CHARACTERS'
/*
/*   Try an ambigous command:
/*
   F
/*
/*   Put extra stuff at the end of a valid command, which should
/*   result in another error message.
/*
   VERTICAL BAR STUFF
/*
/*   Cause an unrecognized command message:
/*
   GARBAGE COMMAND
/*
/*   Generate an error message for illegal command parameters - this
/*   one should read: Expecting a number between 0 and 100.
/*
   CHART WINDOW 0 150 0 150
/*
/*   Try to do a draw, which should be ignored since the command file
/*   has fatal errors.
/*
   DRAW
/*
/*   End of Release Test 10
/*
/*   A message should be printed out indicating the total number of
/*   errors found while reading the command file.
/*
