   RESTART CONFIRM
/*
/*   Release Test Number 12
/*
/*   This command procedure makes calls to the DI-TEXTPRO fonts
/*   to insure that they are working properly at the installations
/*   that have them installed.
/*
/*   NOTE TO THE INSTALLER:
/*   ----------------------
/*
/*   This test procedure should work in one of two ways:
/*
/*     - If your installation has DI-TEXTPRO fonts, then this
/*       test procedure should operate without any errors.
/*
/*     - If your installation does not have DI-TEXTPRO fonts,
/*       then this test procedure should generate an error message
/*       indicating that the DI-TEXTPRO option is not available.
/*
/*   If this test procedure causes the PicSure system to crash or
/*   else generates an error message incorrectly, then either the
/*   DI-TEXTPRO installation or the PicSure installation need to be
/*   checked.
/*
/*   Create a TEXT CHART with DI-TEXTPRO characters and
/*   horizontal lines as separaters.  NOTE: for previewing
/*   the TEXT QUALITY FILLED commands below may be changed
/*   to TEXT QUALITY OUTLINE.
/*
   TEXT CHART
   CHART BACKGROUND COLOR RED
/*
/*   Draw main chart note, and define its attributes.
/*
   NOTE 1 PicSure
   TEXT COLOR BLUE
   TEXT SIZE 20
   TEXT POSITION 50 78
   TEXT FONT ALDINE-ITALIC
/*
/*   Separate main note with a pair of horizontal lines above and below.
/*   (Use underline capability.)
/*
   NOTE 2 [BUND]                                                [EUND]
   TEXT POSITION 50 95
/*
   NOTE 3 [BUND]                                                [EUND]
   TEXT POSITION 50 93
/*
   NOTE 4 [BUND]                                                [EUND]
   TEXT POSITION 50 67
/*
   NOTE 5 [BUND]                                                [EUND]
   TEXT POSITION 50 65
/*
   CURRENT TEXTITEM NOTE 2 TO 5
   TEXT COLOR BLACK
/*
/*   Define and position several notes.
/*
   NOTE 6 For Serious//Technical Graphics
   TEXT COLOR BLUE
   TEXT SIZE 12
   TEXT POSITION 50 51
   TEXT JUSTIFICATION CENTER TOP
   TEXT FONT SWISS
/*
   NOTE 7 Graphics by Precision Visuals
   TEXT COLOR BLACK
   TEXT POSITION 98 8
   TEXT JUSTIFICATION RIGHT CENTER
   TEXT FONT SWISS-LIGHT
/*
/*   Draw the picture.
/*
   PLOT
/*
/*   End of Release Test 12
/*
