   RESTART CONFIRM
/*
/*   Release Test Number 16
/*
/*   This command procedure makes calls to the STROKE fonts
/*   to insure that they are working properly at the installations
/*   that have them installed.
/*
/*   NOTE TO THE INSTALLER:
/*   ----------------------
/*
/*   This test procedure should work in one of two ways:
/*
/*     - If your installation has STROKE fonts, then this
/*       test procedure should operate without any errors.
/*
/*     - If your installation does not have STROKE fonts,
/*       then this test procedure should fail.
/*
/*   If this test procedure causes the PicSure system to crash or
/*   else generates an error message incorrectly, then either the
/*   stroke font installation or the PicSure installation need to be
/*   checked.
/*
/*   Create a TEXT CHART with STROKE characters and
/*   horizontal lines as separators.  NOTE: for previewing
/*   the TEXT QUALITY FILLED commands below may be changed
/*   to TEXT QUALITY OUTLINE.
/*
   TEXT CHART
   CHART BACKGROUND COLOR RED
/*
/*   Draw main chart note, and define its attributes.
/*
   NOTE 1 More PicSure Stroke Fonts
   TEXT COLOR BLUE
   TEXT SIZE 8
   TEXT POSITION 50 78
   TEXT FONT SIMPLEX
/*
/*   Separate main note with a pair of horizontal lines above and below.
/*   (Use underline capability.)
/*
   NOTE 2 Complex-Cyrillic
   TEXT POSITION 50 70
   TEXT FONT COMPLEX-CYRILLIC
/*
   NOTE 3 Complex-Cyrillic-Italic
   TEXT POSITION 50 66
   TEXT FONT COMPLEX-CYRILLIC-ITALIC
/*
   NOTE 4 Gothic-English
   TEXT POSITION 50 62
   TEXT FONT GOTHIC-ENGLISH
/*
   NOTE 5 Gothic-English-Italic
   TEXT POSITION 50 58
   TEXT FONT GOTHIC-ENGLISH-ITALIC
/*
   NOTE 6 Gothic-German
   TEXT POSITION 50 54
   TEXT FONT GOTHIC-GERMAN
/*
   NOTE 7 Gothic-German-Italic
   TEXT POSITION 50 50
   TEXT FONT GOTHIC-GERMAN-ITALIC
/*
   NOTE 8 Gothic-Italian
   TEXT POSITION 50 46
   TEXT FONT GOTHIC-ITALIAN
/*
   NOTE 9 Gothic-Italian-Italic
   TEXT POSITION 50 42
   TEXT FONT GOTHIC-ITALIAN-ITALIC
/*
   NOTE 10 Swedish
   TEXT POSITION 50 38
   TEXT FONT SWEDISH
/*
   NOTE 11 Swedish-Italic
   TEXT POSITION 50 34
   TEXT FONT SWEDISH-ITALIC
/*
   NOTE 12 Symbol I
   TEXT POSITION 50 30
   TEXT FONT SYMBOL-I
/*
   NOTE 13 Symbol II
   TEXT POSITION 50 26
   TEXT FONT SYMBOL-II
/*
   CURRENT TEXTITEM NOTE 2 TO 13
   TEXT COLOR BLACK
/*
/*   Define and position several notes.
/*
   NOTE 14 Graphics by Harris Computer Systems Division
   TEXT COLOR BLACK
   TEXT POSITION 98 8
   TEXT JUSTIFICATION RIGHT CENTER
   TEXT FONT SIMPLEX
/*
/*   Draw the picture.
/*
   PLOT
/*
/*   End of Release Test 16
/*
