#
# Copyright (c) 1983 Regents of the University of California.
# All rights reserved.  The Berkeley software License Agreement
# specifies the terms and conditions for redistribution.
#
# @(#)Makefile 1.1 85/05/30 SMI; from UCB 4.10 83/06/12
#
CFLAGS= $(CFL)
LDFLAGS= $(LFL)
FILES=	restore.h main.c interactive.c restore.c dirs.c symtab.c tape.c \
	utilities.c dumprmt.c
OBJS=	main.o interactive.o restore.o dirs.o symtab.o tape.o utilities.o \
	dumprmt.o

all: restore

restore: ${OBJS}
	$(CC) ${LDFLAGS} ${CFLAGS} -o restore ${OBJS}

install: all
	install -r -f ${ROOT}/etc restore
	-rm -f ${ROOT}/etc/rrestore
	ln ${ROOT}/etc/restore ${ROOT}/etc/rrestore

clean:
	rm -f *.o errs a.out core

clobber: clean
	rm -f restore rrestore dumprmt.c

dumprmt.c:
	ln -s ../fdump/dumprmt.c .

${OBJS}: restore.h
