/* @(#)setbuffer.c	4.2 (Berkeley) 2/27/83 */
#include	<stdio.h>

setbuffer(iop, buf)
	register FILE *iop;
	char *buf;
{
	if (iop->_base != NULL && iop->_flag&_IOMYBUF)
		free(iop->_base);
	iop->_flag &= ~(_IOMYBUF|_IONBF|_IOLBF);
	if ((iop->_base = (unsigned char *)buf) == NULL) {
		iop->_flag |= _IONBF;
	} else {
		iop->_ptr = iop->_base;
	}
	iop->_cnt = 0;
}

/*
 * set line buffering for either stdout or stderr
 */
setlinebuf(iop)
	register FILE *iop;
{
	static char _sebuf[BUFSIZ];
	extern char _sobuf[];

	if (iop != stdout && iop != stderr)
		return;
	fflush(iop);
	setbuffer(iop, NULL);
	setbuffer(iop, iop == stderr ? _sebuf : _sobuf);
	iop->_flag |= _IOLBF;
}
