#
#	@(#)lib.mk	6.2
#

LIBS=	cassi.a		\
		comobj.a	\
		mpwlib.a	\
		libPW.a

PRODUCTS = $(LIBS)

INSTR=

all: $(LIBS)
	@echo "SCCS Libraries are up to date."

cassi.a::
	cd cassi; $(MAKE) -e -f cassi.mk all $(PAR) PAR=$(PAR)

comobj.a::
	cd comobj; $(MAKE) -e -f comobj.mk all $(PAR) PAR=$(PAR)

mpwlib.a::
	cd mpwlib; $(MAKE) -e -f mpwlib.mk all $(PAR) PAR=$(PAR)

libPW.a::
	cd libPW; $(MAKE) -e -f libPW.mk all $(PAR) PAR=$(PAR)

install:	all
	cd cassi; $(MAKE) -e -f cassi.mk install $(PAR) PAR=$(PAR)
	cd comobj; $(MAKE) -e -f comobj.mk install $(PAR) PAR=$(PAR)
	cd mpwlib; $(MAKE) -e -f mpwlib.mk install $(PAR) PAR=$(PAR)
	cd libPW; $(MAKE) -e -f libPW.mk install $(PAR) PAR=$(PAR)

clean:
	cd cassi; $(MAKE) -e -f cassi.mk clean $(PAR) PAR=$(PAR)
	cd comobj; $(MAKE) -e -f comobj.mk clean $(PAR) PAR=$(PAR)
	cd mpwlib; $(MAKE) -e -f mpwlib.mk clean $(PAR) PAR=$(PAR)
	cd libPW; $(MAKE) -e -f libPW.mk clean $(PAR) PAR=$(PAR)

clobber:
	cd cassi; $(MAKE) -e -f cassi.mk clobber $(PAR) PAR=$(PAR)
	cd comobj; $(MAKE) -e -f comobj.mk clobber $(PAR) PAR=$(PAR)
	cd mpwlib; $(MAKE) -e -f mpwlib.mk clobber $(PAR) PAR=$(PAR)
	cd libPW; $(MAKE) -e -f libPW.mk clobber $(PAR) PAR=$(PAR)

.PRECIOUS:	$(PRODUCTS)
