#
#	@(#)libPW.mk	6.9
#

AR = ar
LORDER = lorder

CFLAGS = $(CFL)
LFLAGS = $(LFL)

LIB = ../libPW.a

PRODUCTS = $(LIB)

FILES =	abspath.o	\
	alloca.o	\
	any.o	\
	anystr.o	\
	bal.o	\
	cat.o	\
	clean.o	\
	curdir.o	\
	dname.o	\
	fatal.o	\
	fdfopen.o	\
	giveup.o	\
	imatch.o	\
	index.o	\
	lockit.o	\
	logname.o	\
	move.o	\
	patoi.o	\
	patol.o	\
	regcmp.o	\
	regex.o	\
	rename.o	\
	repeat.o	\
	repl.o	\
	satoi.o	\
	setsig.o	\
	sname.o	\
	strend.o	\
	substr.o	\
	trnslat.o	\
	userdir.o	\
	userexit.o	\
	username.o	\
	verify.o	\
	xalloc.o	\
	xcreat.o	\
	xlink.o	\
	xopen.o	\
	xpipe.o	\
	xunlink.o	\
	xwrite.o	\
	xmsg.o	\
	zero.o	\
	zeropad.o

all: $(LIB)
	@echo "Library $(PRODUCTS) is up to date"

$(LIB):	$(FILES)
	$(AR) cr $(LIB) `$(LORDER) *.o | tsort`
	chmod 664 $(LIB)

move.o:	
		$(CC) $(CFLAGS) $(LFLAGS) -c hcx/move.s

alloca.o:
		$(CC) $(CFLAGS) $(LFLAGS) -c hcx/alloca.s

install :	all

clean:
	-rm -f *.o

clobber:	clean
	-rm -f $(PRODUCTS)

.PRECIOUS:	$(PRODUCTS)
