	/* @(#) optab.c: 1.12        */
/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/


#include	"head.h"

/*
 *  	Instruction printing data.
 *		MACHINE DEPENDENT
 *
 */

/* The registers in regname must be in the correct order, because the numeric
 * value of the register is used (in dis/bits.c) to index into this table.
 * The null final entry is a sentinel, used in prassym (opset.c).
 *
 * The registers in reglist must be in correct order, because the
 * number of the register is used to index into this table, to get roffs,
 * which gives the offset in the user area from register 0.
 */

STRING	regname[] = { "r0", "r1", "r2", "r3", "r4", "r5", "r6", "r7", "r8",
		      "r9", "r10", "r11", "r12", "fp", "sp", "pc", (char *)0};




REGLIST reglist [] = {
		"p2lr", P2LR,
		"p2br",P2BR,
		"p0lr", P0LR,
		"p0br",P0BR,
		"ksp",KSP,
		"hfs", HFS,
		"psl", PSL,
		"pc", PC,
		"ach", ACHI,
		"acl", ACLO,
		"usp",USP,
		"fp", FP,
		"r12", R12,
		"r11", R11,
		"r10", R10,
		"r9", R9,
		"r8", R8,
		"r7", R7,
		"r6", R6,
		"r5", R5,
		"r4", R4,
		"r3", R3,
		"r2", R2,
		"r1", R1,
		"r0", R0,
		0
};


char *fmtr = {"%r"};
char *fmtR = {"%R"};
