/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*    	"@(#)sh:pwd.c	1.10"   */
/*
 *	UNIX shell
 */

#include		<sys/param.h>
#include		"mac.h"

static char cwdname[MAXPATHLEN+1];
static int	didpwd = FALSE;


/*
 *	Print the current working directory.
 */

cwdprint()
{
	if (didpwd == FALSE)
		pwd();

	prs_buff(cwdname);
	prc_buff(NL);
	return;
}


/*
 *	Find the current directory the hard way.
 */


char	*getwd();

static
pwd()
{
	if (getwd (cwdname) == NULL)
		error ("pwd cannot stat .");
	didpwd = TRUE;
}

void
wdupdate()
{
	didpwd=FALSE;
}
