#	Makefile	4.29	85/4/25
#
INS = :
UINSDIR = $(ROOT)/usr/bin
CFLAGS = $(CFL)
LDLAGS = $(LFL)
STAT = vmstat iostat

all:
	$(CC)  $(CFLAGS) $(LDLAGS) -o vmstat vmstat.c -lcurses 
	$(INS) $(UINSDIR) -m 2755 -u bin -g kmem vmstat
	$(CC)  $(CFLAGS) $(LDLAGS) -o iostat iostat.c -lcurses 
	$(INS) $(UINSDIR) -m 2755 -u bin -g kmem iostat

install: 
	$(MAKE) -f stat.mk INS="install -r -f" all

clean: 
	rm -f *.o

clobber: clean
	rm -f $(STAT)

depend:
	cat </dev/null >x.c
	for i in $(STAT); do \
		(echo $$i: $$i.c >>makedep; \
		/bin/grep '^#[ 	]*include' x.c $$i.c | sed \
			-e '/\.\.\/h/d' \
			-e 's,<\(.*\)>,"/usr/include/\1",' \
			-e 's/:[^"]*"\([^"]*\)".*/: \1/' \
			-e 's/\.c//' >>makedep); done
	echo '/^# DO NOT DELETE THIS LINE/+2,$$d' >eddep
	echo '$$r makedep' >>eddep
	echo 'w' >>eddep
	cp stat.mk stat.mk.bak
	ed - stat.mk < eddep
	rm eddep makedep x.c
	echo '# DEPENDENCIES MUST END AT END OF FILE' >> stat.mk
	echo '# IF YOU PUT STUFF HERE IT WILL GO AWAY' >> stat.mk
	echo '# see make depend above' >> stat.mk

# Files listed in $(NSTD) have explicit make lines given below.

# DO NOT DELETE THIS LINE -- make depend uses it

vmstat: vmstat.c
vmstat: $(SL)/usr/include/curses.h
vmstat: $(SL)/usr/include/term.h
vmstat: $(SL)/usr/include/signal.h
vmstat: $(SL)/usr/include/stdio.h
vmstat: $(SL)/usr/include/sys/param.h
vmstat: $(SL)/usr/include/sys/vm.h
vmstat: $(SL)/usr/include/sys/dk.h
vmstat: $(SL)/usr/include/nlist.h
vmstat: $(SL)/usr/include/sys/buf.h
vmstat: $(SL)/usr/include/sys/vbavar.h
iostat: iostat.c
iostat: $(SL)/usr/include/curses.h
iostat: $(SL)/usr/include/signal.h
iostat: $(SL)/usr/include/stdio.h
iostat: $(SL)/usr/include/nlist.h
iostat: $(SL)/usr/include/sys/types.h
iostat: $(SL)/usr/include/sys/buf.h
iostat: $(SL)/usr/include/sys/dk.h
iostat: $(SL)/usr/include/sys/dsk.h
iostat: $(SL)/usr/include/sys/vddc.h
iostat: $(SL)/usr/include/sys/vbavar.h
# DEPENDENCIES MUST END AT END OF FILE
# IF YOU PUT STUFF HERE IT WILL GO AWAY
# see make depend above
