static char *sccsid = "@(#)strings.c	4.1 (Berkeley) 10/1/80";

/*
 * strings [-] [-a] [-o] [-ddd] [file ...]
 */

#include <stdio.h>
#include <filehdr.h>
#include <ldfcn.h>
#include <scnhdr.h>
#include <ctype.h>

extern void find ();
extern int dirt ();

int Oflg, Asdata, Minlength = 4;
LDFILE * Ldptr = NULL;

#define ISMAGIC(x) ((((unsigned short)x)==(unsigned short)HCXROMAGIC) || (((unsigned short)x)==(unsigned short)HCXWRMAGIC))

void main (argc, argv)
	int argc;
	char *argv[];
{
	struct scnhdr secthead;

	for (argc--, argv++; argc > 0 && argv[0][0] == '-'; argc--, argv++) {

		switch (argv[0][1]) {

		case 0:
		case 'a':
			Asdata++;
			break;

		case 'o':
			Oflg++;
			break;

		case '0':
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':
			Minlength = atoi (&argv[0][1]);
			break;

		default:
			fprintf (stderr, "Usage: strings [ - ] [ -a ] [ -o ] [ -# ] [ file ... ]\n");
			exit (1);
			break;
		}

	}

	for (; argc > 0; argc--, argv++) {

		if ((Ldptr = ldopen (argv[0], NULL)) == NULL) {
			perror(argv[0]);
			exit(1);
		}

		/* Handle the "as data" case where we look at
		the entire file. */

		if (Asdata || !ISMAGIC (HEADER (Ldptr).f_magic) || ldnshread (Ldptr, _DATA, &secthead) == FAILURE) {
			fseek (IOPTR (Ldptr), (long) 0, BEGINNING);
			find ((long) 100000000L);
			ldclose (Ldptr);
			continue;
		}

		/* Handle the object file or library case where we only
		look at data sections. */

		do {

			FSEEK (Ldptr, secthead.s_scnptr, BEGINNING);
			find ((long) secthead.s_size);

		} while ((ldclose (Ldptr) == FAILURE) &&
			((Ldptr = ldopen (argv[0], Ldptr)) != NULL) &&
			ISMAGIC (HEADER (Ldptr).f_magic) &&
			(ldnshread (Ldptr, _DATA, &secthead) == SUCCESS));

		ldclose (Ldptr);
	} 
}

void find (cnt)
	long cnt;
{
	static char buf[BUFSIZ];
	register char *cp;
	register int c, cc;

	cp = buf, cc = 0;
	for (; cnt != 0; cnt--) {
		c = GETC (Ldptr);
		if (c == '\n' || dirt(c) || cnt == 0) {
			if (cp > buf && cp[-1] == '\n')
				--cp;
			*cp++ = 0;
			if (cp > &buf[Minlength]) {
				if (Oflg)
					printf("%7D ", FTELL (Ldptr) - cc - 1);
				printf("%s\n", buf);
			}
			cp = buf, cc = 0;
		} else {
			if (cp < &buf[sizeof buf - 2])
				*cp++ = c;
			cc++;
		}
		if (FERROR (Ldptr) || FEOF (Ldptr))
			break;
	}
}

int dirt (c)
	int c;
{

	switch (c) {

	case '\n':
	case '\f':
		return (0);

	case 0177:
		return (1);

	default:
		return (c > 0200 || c < ' ');
	}
}
