static char *sccsid = "@(#)swapon.c	4.4 (Berkeley) 10/16/80";
#include <stdio.h>
#include <mntent.h>

main(argc, argv)
	int argc;
	char *argv[];
{
	int stat = 0;

	--argc, argv++;
	if (argc == 0) {
		fprintf(stderr, "usage: swapon name...\n");
		exit(1);
	}
	if (argc == 1 && !strcmp(*argv, "-a")) {
	        FILE *mnttab;
	        struct mntent *mntp;
		if ((mnttab = setmntent(MNTTAB, "r")) == 0)
			perror(MNTTAB), exit(1);
		while ( (mntp = getmntent(mnttab)) != 0){
			if (strcmp(mntp->mnt_type, MNTTYPE_SWAP) != 0)
				continue;
			printf("Adding %s as swap device\n",
			    mntp->mnt_fsname);
			if (swapon(mntp->mnt_fsname) == -1) {
				extern errno;
				extern char *sys_errlist[];
				printf("%s: %s\n",
				    sys_errlist[errno], mntp->mnt_fsname);
				stat = 1;
			}
		}
		endmntent(mnttab);
		exit(stat);
	}
	do {
		if (swapon(*argv++) == -1) {
			stat = 1;
			perror(argv[-1]);
		}
		argc--;
	} while (argc > 0);
	exit(stat);
}
