#	Makefile
#
.UNIVERSE=ucb
CFLAGS=$(CFL)
LDFLAGS=$(LFL)
ALL=stty ps

all:	$(ALL)

stty:
	$(CC) $(CFLAGS) $(LDFLAGS) -o stty stty.c

ps:
	$(CC) $(CFLAGS) $(LDFLAGS) -o ps ps.c -lm

install: all
	if [ ! -f $(ROOT)/bin/.attstty ] ; then \
	        /bin/chmod 777 $(ROOT)/bin/stty ; \
	        mv $(ROOT)/bin/stty $(ROOT)/bin/.attstty ; \
	        /bin/chmod 755 $(ROOT)/bin/.attstty ; \
	fi
	mv stty .ucbstty
	install -r -f $(ROOT)/bin .ucbstty
	ln -fs '.{}stty' $(ROOT)/bin/stty

	if [ ! -f $(ROOT)/bin/.attps ] ; then \
	        /bin/chmod 777 $(ROOT)/bin/ps ; \
	        mv $(ROOT)/bin/ps $(ROOT)/bin/.attps ; \
	        /bin/chmod 2755 $(ROOT)/bin/.attps ; \
	fi
	mv ps .ucbps
	install -r -m 2755 -g kmem -f $(ROOT)/bin .ucbps
	ln -fs '.{}ps' $(ROOT)/bin/ps

clean:
	rm -f a.out nohup.out core *.o .ucb*

clobber: clean
	rm -f $(ALL)
