static char *sccsid = "@(#)users.c	4.2 (Berkeley) 4/28/83";
/*
 * users
 */
#include <sys/types.h>
#include <utmp.h>
#include <stdio.h>

struct utmp utmp;

#define NMAX sizeof(utmp.ut_name)
#define LMAX sizeof(utmp.ut_line)

extern char *malloc();

main(argc, argv)
char **argv;
{
	register char *tp, *s;
	register FILE *fi;

	s = UTMP_FILE;
	if(argc == 2)
		s = argv[1];
	if ((fi = fopen(s, "r")) == NULL) {
		perror(s);
		exit(1);
	}
	while (fread((char *)&utmp, sizeof(utmp), 1, fi) == 1) {
		if ((utmp.ut_name[0] == '\0') || (utmp.ut_type != USER_PROCESS))
			continue;
		putline();
	}
	summary();
}

char	*names[128];
char	**namp = names;
putline()
{
	char temp[NMAX+1];
	strncpy(temp, utmp.ut_name, NMAX);
	temp[NMAX] = 0;
	*namp = malloc(strlen(temp) + 1);
	strcpy(*namp++, temp);
}

scmp(p, q)
char **p, **q;
{
	return(strcmp(*p, *q));
}
summary()
{
	register char **p;

	qsort(names, namp - names, sizeof names[0], scmp);
	for (p=names; p < namp; p++) {
		if (p != names)
			printf(" ");
		printf("%s", *p);
	}
	printf("\n");
}
