# @(#) vi.nsec.mk: 1.16 10/15/83

all:	getsrc
	@echo "\n\t> Compiling ex source."
	cd hcx; $(MAKE) -f makefile.usg all

install: getsrc
	@echo "\n\t> Installing ex object."
	(if [ -s $$SL/usr/src/cmd/vi/vi.mk ]; then \
		cd hcx; $(MAKE) -f makefile.usg SUFF=.nsec install ;\
	else \
		cd hcx; $(MAKE) -f makefile.usg SUFF= install ;\
	fi)

getsrc:
	-(if [ -s $$SL/usr/src/cmd/vi/vi.mk ]; then \
		cd $$SL/usr/src/cmd/vi ;\
		cp README $$SL/usr/src/cmd/vi.nsec ;\
		for i in hcx local misc; do \
			cd $$SL/usr/src/cmd/vi/$$i ;\
			mkdir $$SL/usr/src/cmd/vi.nsec/$$i ;\
			for j in *; do \
				/usr/ucb/unifdef -l -UCRYPT $$j > $$SL/usr/src/cmd/vi.nsec/$$i/$$j ;\
			done ;\
		done ;\
	fi)

clean:
	cd hcx; $(MAKE) -f makefile.usg clean

clobber: clean
