# @(#)Makefile	1.2 86/11/21 NFSSRC
#
# @(#)Makefile 1.1 86/09/25 Copyright (c) 1984 by Sun Microsystems, Inc.
#
.UNIVERSE=ucb
SERVERCFILES= ypserv.c ypserv_ancil.c ypserv_map.c ypserv_proc.c

SERVEROBJS = ypserv.o ypserv_ancil.o ypserv_map.o ypserv_proc.o

SERVERDOTH =  ypsym.h ${SL}/usr/include/rpcsvc/yp_prot.h \
${SL}/usr/include/rpcsvc/ypclnt.h ${SL}/usr/include/rpcsvc/ypv1_prot.h

CFLAGS=-O ${CFL}
# CFLAGS = -g
LDFLAGS = -ldbm ${LFL}

all: ypserv

ypserv: ${SERVEROBJS}
	${CC} ${CFLAGS} ${SERVEROBJS} -o ypserv ${LDFLAGS}

clean:
	rm -f ${SERVEROBJS} core

clobber: clean
	rm -f ypserv

install:	ypserv
	install -r -f ${ROOT}/usr/etc ypserv

lint: ${SERVERCFILES}
	lint ${SERVERCFILES}

depend:
	cat </dev/null >x.c
	cat </dev/null >makedep
	for i in ${SERVERCFILES}; do \
		(/bin/grep '^#[ 	]*include' x.c $$i | sed \
			-e 's,<\(.*\)>,"$${SL}/usr/include/\1",' \
			-e 's/:[^"]*"\([^"]*\)".*/: \1/' \
			-e 's/\.c/.o/' >>makedep); done
	for i in ${SERVERDOTH}; do \
		(/bin/grep '^#[ 	]*include' x.c $$i | sed \
			-e 's,<\(.*\)>,"$${SL}/usr/include/\1",' \
			-e 's/:[^"]*"\([^"]*\)".*/: \1/' >>makedep); done
	echo '/^# DO NOT DELETE THIS LINE/+2,$$d' >eddep
	echo '$$r makedep' >>eddep
	echo 'w' >>eddep
	cp ypserv.mk ypserv.mk.bak
	ed - ypserv.mk < eddep
	rm eddep makedep x.c
#
# DO NOT DELETE THIS LINE -- make depend uses it
#
ypserv.o: ypsym.h
