
/*
 * strcmpn.s	4.1 (HCX) June 1983 
 * 
 * Compare strings (at most n bytes):  s1>s2: >0  s1==s2: 0  s1<s2: <0
 * 
 * strcmpn(s1, s2, n)
 * register char *s1, *s2;
 * register n;
*/

	.text
	.align	1
	.globl	_strcmpn

_strcmpn: .word	4		/* saves r2 */
	movl	12(fp),r2
	tstl	r2		/* number of bytes to compare */
	jgtr	n_ok
	clrl	r0
	ret			/* for n <= 0 , s1 == s2 */
n_ok:
	movl	4(fp),r0
	movl	8(fp),r1
	cmps3
	jgtr	greater
	jlss	less
equal:	clrl	r0
	ret
less:	movl	$-1,r0
	ret
greater: movl	$1,r0
	ret
