/*
 * char *memccpy (char *s1, char *s2, int c, int n)
 *
 * Copies s2 to s1, stopping after the first occurence of c or
 * after n characters have been copied, whichever comes first.
 * Returns a pointer to the first character after the copy of c
 * in s1, or NULL if c was not found in the first n characters
 * of s2.
 */

	.globl _memccpy
	.align	2
_memccpy: 
	.word	0xc
	movl	4(fp),r0	# s1
	movl	8(fp),r1	# s2
	movl	12(fp),r2	# c
	mnegl	16(fp),r3	# n
	bgeq	3f
1:
	movb	(r1),(r0)	# Move character from s2 to s1
	cmpb	(r1),r2		# Is character == c ?
	beql	2f		# .. Yes, exit
	incl	r1		# .. No, prepare for next iteration
	incl	r0
	aoblss	$0,r3,1b
3:
	clrl	r0
	ret
2:
	incl	r0
	ret
