/*
 * char *memchr(char *s, int c, int n)
 *
 * Returns a pointer to the first occurence of character c in the
 * first n characters of s, or a NULL pointer if c does not occur.
 */

	.globl _memchr
	.align	2
_memchr: 
	.word	0x4
	movl	4(fp),r0	# s
	movl	8(fp),r1	# c
	mnegl	12(fp),r2	# n
	bgeq	3f
1:
	cmpb	(r0),r1		# Is character == c ?
	beql	2f		# .. Yes, exit
	incl	r0		# .. No, prepare for next iteration
	aoblss	$0,r2,1b
3:
	clrl	r0
	ret
2:
	ret
