/*
 * int memcmp (char *s1, char *s2, int n)
 *
 * Compare first n characters of s1 and s2. Returns
 *
 * <0  if  s1 <  s2
 * =0  if  s1 == s2
 * >0  if  s1 >  s2
 */

	.globl _memcmp
	.align	2
_memcmp: 
	.word	0x4
	movl	4(fp),r0	# s1
	movl	8(fp),r1	# s2
	mnegl	12(fp),r2	# n
	bgeq	3f
1:
	cmpb	(r0),(r1)	# Are two characters equal?
	bneq	2f		# .. No, exit loop
	incl	r0		# .. Yes, prepare for next iteration
	incl	r1
	aoblss	$0,r2,1b
3:
	clrl	r0
	ret
2:
	bgeq	4f
	movl	$-1,r0		# s1 < s2
	ret
4:
	movl	$1,r0		# s1 > s2
	ret
