/*
 * char *memcpy (char *s1, char *s2, int n)
 * 
 * Copies n characters from s2 to s1. Returns s1.
 */
	.globl	_memcpy
	.align	2
_memcpy:
	.word	0x4
	movl	4(fp),r1	# s1
	movl	8(fp),r0	# s2
	movl	12(fp),r2	# n

	bitl	$3,r0		# Is the source address longword aligned?
	bneq	5f		# .. No, go do movblk instruction
	bitl	$3,r1		# Is the destination address longword aligned?
	bneq	5f		# .. No, go do movblk instruction
	bitl	$3,r2		# Is the byte count a multiple of 4?
	bneq	5f		# .. No, go do movblk instruction
1:
	cmpl    $64,r2          # Are there at least 64 more bytes to copy?
	bgtr    5f              # .. No, do rest with movblk instruction
	movl    (r0),(r1)       # Copy 64 bytes from source to destination
	movl    4(r0),4(r1)
	movl    8(r0),8(r1)
	movl    12(r0),12(r1)
	movl    16(r0),16(r1)
	movl    20(r0),20(r1)
	movl    24(r0),24(r1)
	movl    28(r0),28(r1)
	movl    32(r0),32(r1)
	movl    36(r0),36(r1)
	movl    40(r0),40(r1)
	movl    44(r0),44(r1)
	movl    48(r0),48(r1)
	movl    52(r0),52(r1)
	movl    56(r0),56(r1)
	movl    60(r0),60(r1)
	addl2   $64,r0		# Prepare for next iteration
	addl2   $64,r1
	subl2   $64,r2
	brb     1b   
5:
	movblk
	movl	4(fp),r0	# return s1
	ret
