#include	<sys/mount.h>
#include	<sys/errno.h>

mount(spec, dir, rwflag)
char    *spec, *dir;
int     rwflag;
{
	struct ufs_args mount_args;
	int error;

	mount_args.fspec = spec;
	error = mountsyscall(MOUNT_UFS, dir, rwflag ? M_RDONLY : 0, &mount_args);

	switch (error) {
	case EINVAL :
	case ENAMETOOLONG :
	        return(ENOENT);
	        break;  /* avoid compilation warnings */
	default:
		return(error);
	}
}
