/*	@(#)siglist.c	4.2 (Berkeley) 2/10/83	*/

#include <signal.h>

char	*sys_siglist[NSIG] = {
	"Signal 0",
	"Hangup",			/* 01 = SIGHUP	common		 */
	"Interrupt",			/* 02 = SIGINT	common		 */
	"Quit",				/* 03 = SIGQUIT	common		 */
	"Illegal instruction",		/* 04 = SIGILL	common		 */
	"Trace/BPT trap",		/* 05 = SIGTRAP	common		 */
	"IOT trap",			/* 06 = SIGIOT	common		 */
	"EMT trap",			/* 07 = SIGEMT	common		 */
	"Floating point exception",	/* 08 = SIGFPE	common		 */
	"Killed",			/* 09 = SIGKILL	common		 */
	"Bus error",			/* 10 = SIGBUS	common		 */
	"Segmentation fault",		/* 11 = SIGSEGV	common		 */
	"Bad system call",		/* 12 = SIGSYS	common		 */
	"Broken pipe",			/* 13 = SIGPIPE	common		 */
	"Alarm clock",			/* 14 = SIGALRM	common		 */
	"Terminated",			/* 15 = SIGTERM	common		 */
	"User signal 1",		/* 16 = SIGUSR1	att		 */
	"User signal 2",		/* 17 = SIGUSR2	att		 */
	"Child exited",			/* 18 = SIGCLD	att, SIGCHLD ucb */
	"Power-fail",			/* 19 = SIGPWR	att		 */
	"Urgent I/O condition",		/* 20 = SIGURG	ucb		 */
	"Stopped (signal)",		/* 21 = SIGSTOP	ucb		 */
	"Stopped",			/* 22 = SIGTSTP	ucb		 */
	"Continued",			/* 23 = SIGCONT	ucb		 */
	"Stopped (tty input)",		/* 24 = SIGTTIN	ucb		 */
	"Stopped (tty output)",		/* 25 = SIGTTOU	ucb		 */
	"I/O possible",			/* 26 = SIGIO	ucb		 */
	"Cputime limit exceeded",	/* 27 = SIGXCPU	ucb		 */
	"Filesize limit exceeded",	/* 28 = SIGXFSZ	ucb		 */
	"Virtual timer expired",	/* 29 = SIGVTALRM ucb		 */
	"Profiling timer expired",	/* 30 = SIGPROF	ucb		 */
	"Signal 31"
};
