/*	swab.c	4.2	83/06/27	*/

/*
 * Swab bytes
 * Jeffrey Mogul, Stanford
 */

#define	STEP	temp = *from++,*to++ = *from++,*to++ = temp

void swab (from, to, n)
	register char *from, *to;
	register int n;
{
	register unsigned long temp;
	
	n >>= 1; n++;

	/* Get to a multiple of 8. */
	while ((--n) & 07)
		STEP;

	/* Do 8 at a time. */
	for (n >>= 3; --n >= 0;) {
		STEP; STEP; STEP; STEP;
		STEP; STEP; STEP; STEP;
	}
}
