/*	@(#)data.c	2.5	*/
/*LINTLIBRARY*/
#include <stdio.h>
#include <sys/param.h>

#if !u370

/* some slop is allowed at the end of the buffers in case an upset in
 * the synchronization of _cnt and _ptr (caused by an interrupt or other
 * signal) is not immediately detected.
 */
unsigned char _sibuf[MAXBSIZE+8], _sobuf[MAXBSIZE+8];

/*
 * Ptrs to start of preallocated buffers for stdin, stdout.
 */
unsigned char *_stdbuf[] = { _sibuf, _sobuf };

#endif

unsigned char _smbuf[_NFILE+1][_SBFSIZ];

FILE _iob[_NFILE] = {
	{  0,  NULL,       NULL,       0,  _IOREAD,        0  },
	{  0,  NULL,       NULL,       0,  _IOWRT,         1  },
	{  0,  _smbuf[2],  _smbuf[2],  0,  _IOWRT+_IONBF,  2  },
};

/*
 * Ptr to end of io control blocks
 */
FILE *_lastbuf = { &_iob[_NFILE] };

/*
 * Ptrs to end of read/write buffers for each device
 * There is an extra bufend pointer which corresponds to the dummy
 * file number _NFILE, which is used by sscanf and sprintf.
 */
unsigned char *_bufendtab[_NFILE+1] = { NULL, NULL, _smbuf[2]+_SBFSIZ, };
