# -----------------------------------------------------------------------------
#
#  HCX/UX termbase source file
#
# -----------------------------------------------------------------------------
#
# WYSE terminals
# p1=normal, p2=underline, p3=reverse, p4=blink, p5=half-intensity
#
h8665|tm8665|wy50|wyse|wyse50|wyse 50,
     kent=^M,knew=\E7,knew2=\EK,
     cr=^M,cud1=^J,nel=^J,bel=^G,is1=\El,ind=^J,
     flash=\E`8\E`9,
     il1=\EE,cub1=^H,ed=\Ey,el=\Et,clear=\E*,
     cup=\E=%p1%' '%+%c%p2%' '%+%c,
     smul=\EG8,rmul=\EG0,smso=\EG4,rmso=\EG0,xmc#1,
     cols#80,dch1=\EW,dl1=\ER,rmir=\Er,home=^^,smir=\Eq,kf0=^A0\r,
     kf1=^A@\r,kf2=^AA\r,kf3=^AB\r,kf4=^AC\r,kf5=^AD\r,kf6=^AE\r,
     kf7=^AF\r,kf8=^AG\r,kf9=^AH\r,kf10=^AI\r,kf11=^AJ\r,kf12=^AK\r,
     kf13=^AL\r,kf14=^AM\r,kf15=^AN\r,kf16=^AO\r,
     kf17=^A`\r,kf18=^Aa\r,kf19=^Ab\r,kf20=^Ac\r,kf21=^Ad\r,kf22=^Ae\r,
     kf23=^Af\r,kf24=^Ag\r,kf25=^Ah\r,kf26=^Ai\r,kf27=^Aj\r,kf28=^Ak\r,
     kf29=^Al\r,kf30=^Am\r,kf31=^An\r,kf32=^Ao\r,
     kbs=^H,kcud1=^J,khome=^^,kcub1=^H,kcuf1=^L,
     kcuu1=^K,lines#24,am,mir,cuf1=^L,ht=^I,
     cuu1=^K,kdch1=\EW,kdch2=\177,kdl1=\ER,kil1=\EE,
     krmir=\EQ,kel=\ET,kich1=\EQ,
     ked=\EY,kreset=^R,kterminate=^Z,
     tx_blank=\EU^M\EX,cnorm=\E`1,civis=\E`0,tsl=\Ef,fsl=^M,
     kpa1=^Ah\r,kpa2=^Ai\r,kpa3=^Aj\r,ksysr=^An\r,kattn=^Aj\r,
     kbtb=\EI,ktab=^I,kprt=\EP,kident=^Ak\r,kdev_cncl=^Ao\r,
     kcent=^C,kbar=^V,knot=^N,kdup=^D,kcursel=^Aq\r,
     kfmark=^F,cent=~,bar=|,not=\136,
     kclr=^Al\r,kclr_ent=^Am\r,kmsg=\Er,
     bold=\EG0,sgr0=\EG0,invis=\EG1,dim=\EGp,aspace,
     khost=^Ax\r,kstats=^As\r,ktrace=^At\r,kattrib=^Az\r,kform=^Ay\r,
     su3270=\EN,
     sd3270=\Ef ^M\EO,
     smacs=\EH^B,rmacs=\EH^C,
     grph_t1=0,grph_t2==,grph_t3=4,grph_t4=9,
     grph_c1=2,grph_c2=3,grph_c3=1,grph_c4=5,
     grph_l1=6,grph_l2=:,grph_l3=8,
     khlp=^E,lhelp=Ctrl-E,kspec=^t,lspec=Ctrl-T,lclr=Shift F13,ldchl=DEL CHAR,
     lel=CLR LINE,led=CLR SCRN,lichl=INS CHAR,lattn=Shift F11,lbtb=Shift TAB,
     ldup=Ctrl-D,lenter=Return,lfmark=Ctrl-F,lpa1=Shift F9,lpa2=Shift F10,
     lpa3=Shift F11,lreset=Ctrl-R,lstats=Funct s,lsysr=Shift F15,ltab=TAB,
     lprint=PRINT,lf1=F1,lf2=F2,lf3=F3,lf4=F4,lf5=F5,lf6=F6,lf7=F7,lf8=F8,
     lf9=F9,lf10=F10,lf11=F11,lf12=F12,lf13=F13,lf14=F14,lf15=F15,lf16=F16,
     lf17=Shift F1,lf18=Shift F2,lf19=Shift F3,lf20=Shift F4,lf21=Shift F5,
     lf22=Shift F6,lf23=Shift F7,lf24=Shift F8,lcursel=Funct q,
     sgr=%?%p1%t\EG0
         %e%p2%t%?%p3%t%?%p4%t%?%p5%t\EG~
                              %e\EG>%;
                       %e%p5%t\EG|
                       %e\EG<%;
                %e%p4%t%?%p5%t\EGz
                       %e\EG\072%;
                %e%p5%t\EGx
                %e\EG8%;
         %e%p3%t%?%p4%t%?%p5%t\EGv
                       %e\EG6%;
                %e%p5%t\EGt
                %e\EG4%;
         %e%p4%t%?%p5%t\EGr
                %e\EG2%;
         %e%p5%t\EGp
         %e\EG0%;,
#
# 132 column wyse50
#
h8665-w|tm8665-w|wy50-w|wyse-w|wyse50-w|wyse 50 132 columns,
     cols#132,
     cup=\Ea%p1%{1}%+%dR%p2%{1}%+%dC,
     use=wyse50,
#
# wyse 75
#
wyse75|wy75|wyse 75,
     aspace,
     kf1=\E[?5i,kf2=\e[?3i,kf3=\E[2i,kf4=\E[@,
     kf5=\E[M,kf6=\E[17~,kf7=\E[18~,kf8=\E[19~,
     kf9=\E[20~,kf10=\E[21~,kf11=\E[23~,kf12=\E[24~,
     kf13=\E[25~,kf14=\E[26~,kf15=\[28~,kf16=\E[29~,
     khome=\E[H,
     sgr=%?%p1%t\E[0p
         %e%p2%t%?%p3%t%?%p4%t%?%p5%t\E[27p
                              %e\E[26p%;
                       %e%p5%t\E[25p
                       %e\E[24p%;
                %e%p4%t%?%p5%t\E[11p
                       %e\E[10p%;
                %e%p5%t\E[9p
                %e\E[8p%;
         %e%p3%t%?%p4%t%?%p5%t\E[19p
                       %e\E[18p%;
                %e%p5%t\E[17p
                %e\E[16p%;
         %e%p4%t%?%p5%t\E[3p
                %e\E[2p%;
         %e%p5%t\E[1p
         %e\E[0p%;,
     use=vt100,
#
# tm8691 (wyse 95)
#
h8691|tm8691|wy95|wyse95|wyse 95 vt200 7 bit,
    cnorm=\E[?25h,civis=\E[?25l,cvvis=\E[?25h,
    cent=~,bar=|,
    flash=\E[30h\E[30l,
    sgr=%?%p1%t\E[0m
        %e%p2%t%?%p3%t%?%p4%t%?%p5%t\E[4;7;5;2m
                             %e\E[4;5;7m%;
                      %e%p5%t\E[4;7;2m
                      %e\E[4;7m%;
               %e%p4%t%?%p5%t\E[4;5;2m
                      %e\E[4;5m%;
               %e%p5%t\E[4;2m
               %e\E[4m%;
        %e%p3%t%?%p4%t%?%p5%t\E[7;5;2m
                      %e\E[7;5m%;
               %e%p5%t\E[7;2m
               %e\E[7m%;
        %e%p4%t%?%p5%t\E[5;2m
               %e\E[5m%;
        %e%p5%t\E[2m
        %e\E[0m%;,
    kdch1=\E[P,kdl1=\E[M,kich1=\E[@,kil1=\E[L,
    knp=\E[6~,kpp=\E[5~,
    kbs=^H,
    kf1=\E[31~,kf2=\E[32~,kf3=\E[33~,kf4=\E[34~,kf5=\E[35~,
    kf6=\E[36~,kf7=\E[37~,kf8=\E[38~,kf9=\E[39~,kf10=\E[40~,
    kf11=\E[41~,kf12=\E[42~,kf13=\E[43~,
    kf14=\E[44~,kf15=\E[45~,kf16=\E[46~,
    kf17=\E[11~,kf18=\E[12~,kf19=\E[13~,kf20=\E[14~,
    kf21=\E[15~,kf22=\E[16~,kf23=\E[17~,kf24=\E[18~,
    kf25=\E[19~,kf26=\E[20~,kf27=\E[21~,kf28=\E[22~,
    kf29=\E[23~,kf30=\E[24~,kf31=\E[25~,kf32=\E[26~,
    kpa1=\E[19~,kpa2=\E[20~,kpa3=\E[21~,ksysr=\E[25~,kattn=\E[21~,
    khome=\E[H,kel=\E[K,ked=\E[J,
    kreset=^R,kterminate=^Z,
    khost=^Ax^M,kstats=^As^M,ktrace=^At^M,kattrib=^Az^M,kform=^Ay^M,
    krmir=\E[@,ktab=^I,kbar=^V,kcent=^C,knot=^N,kdup=^D,
    kfmark=^F,kent=^M,knew=\E[2i,kbtb=\E[6~,kclr_ent=\E[24~,
    kclr=\E[23~,kprt=\E[0i,kident=\E[22~,kdev_cncl=\E[26~,
    su3270=\E>\E[?7l\E[?16l,sd3270=\E?7h,
    use=vt200,
#
# wyse 95 (8691) with 132 columns
#
h8691-w|tm8691-w|wyse 95 vt200 7 bit,
    cols#132,
    use=h8691,
#
# beehive dm5+
# p1=normal, p2=underline, p3=reverse, p4=blink, p5=half-intensity
#
h8685|tm8685|bee|h8686|h8685e|h8686e|h8675|harris model 8685 terminal,
    cols#80,lines#24,am,pt,ed=\EJ,el=\EK,clear=\EE,cuf1=\EC,
    kclr=\EE,kel=\EK,ked=\EJ,ind=^J,cr=^m,
    page_ins=\Ea,page_del=\E`,sl_on=\E1,sl_off=\E2,
    is1=\ES\E#\E*\Eh\Em\E?\E1\E9\E@\EX\EU,
    cup=\EF%p1%' '%+%c%p2%' '%+%c,cuu1=\EA,cud1=\EB,
    home=\EH,cbt=\E>,cub1=\ED,cuf1=\EC,bel=^G,
    il1=\EL,da,dch1=\EP,dl1=\EM,rmir=\E@,smir=\EQ,ich1=,mir,
    kcub1=\ED,kcuf1=\EC,kcuu1=\EA,kcud1=\EB,khome=\EH,kbs=^H,
    dim=\EdA,rev=\EdP,rmso=\Ed@,smso=\EdP,xmc#0,xhp,
    ul,smul=\Ed`,rmul=\Ed@,ug#0,rmacs=\ES,smacs=\ER,
    tsl=\E;,fsl=\035,civis=\E"*T81,cnorm=\E"*T00,
    kent=^C,kenter2=^W,knew=^M,tx_blank=\E6^M,
    sdtx=\E@\E; \035,kreset=\EV,knew2=^J,
    kdch1=\EP,kil1=\EL,kdl1=\EM,kel1=\EK,kich1=\EQ,krmir=\E@,
    kn#16,kf1=^B^[p^C,kf2=^B^[q^C,kf3=^B^[r^C,kf4=^B^[s^C,kf5=^B^[t^C,
    kf6=^B^[u^C,kf7=^B^[v^C,kf8=^B^[w^C,kf9=^B^[x^C,kf10=^B^[y^C,
    kf11=^B^[z^C,kf12=^B^[{^C,kf13=^B^[|^C,kf14=^B^[}^C,kf15=^B^[~^C,
    kf16=^B^[\177^C,
    kf17=^B\E ^C,kf18=^B\E!^C,kf19=^B\E"^C,kf20=^B\E#^C,kf21=^B\E$^C,
    kf22=^B\E%^C,kf23=^B\E&^C,kf24=^B\E'^C,
    kpa1=\2\E(\3,kpa2=\2\E)\3,kpa3=\2\E*\3,
    kclr_ent=\E\,,kdup=\E.=,kfmark=\E.>,kterminate=\EN,
    kcent=\2\E+\3,kbar=\2\E\,\3,knot=\2\E-\3,
    cent=\E6\30,bar=|,not=\136,kcursel=\Ei,
    kattrib=\Ee3,kform=\Ee2,khost=\Ee1,kstats=\ER,ktrace=\Ee4,
    sgr0=\Ed@,invis=\Ed$,
    kattn=\E(,kbtb=\E>,ksysr=\Ej,ktab=^I,kprt=\E3,kident=\E4,kdev_cncl=\EI,
    su3270=\E"*Z01\E"*T00\E"8D8F02#\E"8E35021B2083#\E"8E55021B2183#
           \E"8E75021B2283#\E"8E95021B2383#\E"8EB5021B2483#\E"8ED5021B2583#
           \E"8EF5021B2683#\E"8F15021B2783#\E"8F35021B2883#\E"8F45021B2983#
           \E"8F55021B2A83#\E"8F65021B2B83#\E"8F75021B2C83#\E"8F85021B2D83#
           \E"8F9580#\E"8FA580#\E"8FB580#\E"8FC580#\E"8FD580#\E"8FE580#,
    sd3270=\E"*T00\E"8D8F42#\E; \35,
    grph_t1=P,grph_t2=\\,grph_t3=X,grph_t4=T,
    grph_c1=@,grph_c2=D,grph_c3=H,grph_c4=L,
    grph_l1=d,grph_l2=`,grph_l3=h,
    khlp=^E,lhelp=Ctrl-E,kspec=^t,lspec=Ctrl-T,lclr=CLEAR,ldchl=DELETE CHAR,
    lel=CLEAR EOL,led=CLEAR EOP,lichl=INSERT CHAR,lattn=AUX ON,lbtb=Back Tab,
    ldup=SET TAB,lenter=ENTER,lfmark=CLEAR TAB,lpa1=PF25,lpa2=PF26,lpa3=PF27,
    lreset=RESET,lstats=GRPHIC,lsysr=AUX ENABLE,ltab=tab,lprint=PAGE PRINT,
    lf1=PF1,lf2=PF2,lf3=PF3,lf4=PF4,lf5=PF5,lf6=PF6,lf7=PF7,lf8=PF8,lf9=PF9,
    lf10=PF10,lf11=PF11,lf12=PF12,lf13=PF13,lf14=PF14,lf15=PF15,lf16=PF16,
    lf17=PF17,lf18=PF18,lf19=PF19,lf20=PF20,lf21=PF21,lf22=PF22,lf23=PF23,
    lf24=PF24,lcursel=LINE SEND,
    sgr=%?%p1%t\Ed@
        %e%p2%t%?%p3%t%?%p4%t%?%p5%t\Eds
                             %e\Edr%;
                      %e%p5%t\Edq
                      %e\Edp%;
               %e%p4%t%?%p5%t\Edc
                      %e\Edb%;
               %e%p5%t\Eda
               %e\Ed`%;
        %e%p3%t%?%p4%t%?%p5%t\EdS
                      %e\EdR%;
               %e%p5%t\EdQ
               %e\EdP%;
        %e%p4%t%?%p5%t\EdC
               %e\EdB%;
        %e%p5%t\EdA
        %e\Ed@%;,
#
h8685-w|tm8685-w|bee-w|beehive with 132 columns,
    cols#132,use=h8685,
#
h8685a|tm8685a|harris model 8685a terminal (2-page),
    kclr=\EE,clear=\EH\EJ,
    su3270=\E"*Z01\E"8E35021B2083#\E"8E55021B2183#
           \E"8E75021B2283#\E"8E95021B2383#\E"8EB5021B2483#\E"8ED5021B2583#
           \E"8EF5021B2683#\E"8F15021B2783#\E"8F35021B2883#\E"8F45021B2983#
           \E"8F55021B2A83#\E"8F65021B2B83#\E"8F75021B2C83#\E"8F85021B2D83#
           \E"8F9580#\E"8FA580#\E"8FB580#\E"8FC580#\E"8FD580#\E"8FE580#
           \EE^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J
           ^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J^J,
    sd3270=\EH\EJ\EE\E; \35,
    use=h8685,
#
h8680|tm8680|harris model 8680 terminal,
    cnorm=\EZ,civis=\EZ,
    su3270@,
    kreset=\EV,kdup=^D,kfmark=^F,
    kcent=\Ej,kbar=\E(,knot=\E0,
    khost=^W1,kstats=\E#,ktrace=^W4,kattrib=^W3,kform=^W2,
    kpa1=^B\E}^C,kpa2=^B\E~^C,kpa3=^B\E ^C,ksysr=^R,kattn=^A,
    kprt=\E!,kident=\EW,kdev_cncl=\Eg,kmsg=\Ed,
    su3270=\EE,
    sd3270=\E; \35,
    use=h8685,
#
atl004|beehive atl004,
    cnorm=\EZ,civis=\EZ,
    su3270@,
    use=h8685,
#
# #--------------------
#
# ATL008 ANSI BEEHIVE
#
atl008|atl|ansi|beehive atl008,
    am,xon,pt,xenl,
    cr=^M,kcuf1=\E[C,kcub1=\E[D,kcuu1=\E[A,kcud1=\E[B,kbs=^H,cbt=\E[Z,
    ind=^J,
    is1=\E[?2h\E[20l\E[?7h\E[?1l\E[?3l\E[?4l\E[?6l\E[10l\E[7l\E[1;24r\E[1Q,
    nel=^J,home=\E[H,el=\E[0K,ed=\E[0J,mir,smir=\E[4h,rmir=\E[4l,dch1=\E[1P,
    il1=\E[1L,dl1=\E[1M,clear=\E[H\E[0J,cols#80,lines#24,
    cup=\E[%p1%{1}%+%d;%p2%{1}%+%dH,
    cud1=\E[B,cuf1=\E[C,cuu1=\E[A,cub1=\E[D,khome=\E[H,kreset=^R,
    krmir=\E[1@,kich1=\E[1@,tx_blank=\EN],
    sutx=\E_K01;INS LINE &[[1L\E\\\
         \E_K02;DEL LINE &[[1M\E\\\
         \E_K03;CLEAR EOL&[[0K\E\\\
         \E_K04;CLEAR EOS&[[0J\E\\\
         \E_K05;REDISPLAY&R\E\\\
         \E_K06;NEWLINE  &J\E\\\
         \E_K07;INS CHAR &[[1@\E\\\
         \E_K08;DEL CHAR &[[1P\E\\\E[8p,
    kil1=\E[1L,kdl1=\E[1M,kdch1=\E[1P,kel=\E[0K,
    cnorm=\E[0v\E[0s,civis=\E[2s\E[1v,
    kf1=\E\137PP\E\\,kf2=\E\137PQ\E\\,kf3=\E\137PR\E\\,kf4=\E\137PS\E\\,
    kf5=\E\137PT\E\\,kf6=\E\137PU\E\\,kf7=\E\137PV\E\\,kf8=\E\137PW\E\\,
    kf9=\E\137PX\E\\,kf10=\E\137PY\E\\,kf11=\E\137PZ\E\\,kf12=\E\137P[\E\\,
    kf13=\E\137P\\\E\\,kf14=\E\137P]\E\\,kf15=\E\137P\^\E\\,
    kf16=\E\137P\137\E\\,
#
atl008-w|atl008 with 132 columns,
    cols#132,use=atl008,
#
atl008-h|atl008 with horizontal scrolling,
    cols#132,use=atl008,
#
#  --------------------------------
#
# HARRIS BEEHIVE ATL008 - Block (LINE) Mode
#
blk008|atl8blk|harris ATL008 in Line Mode (BEEHIVE ATL008),
    sutx=\EPP00120\E\\\EPP00130\E\\\EPP00662\E\\,
    sdtx=\EPP00121\E\\\EPP00132\E\\\EPP00661\E\\,use=atl008,
#
# #----------------------------------
#
# V: TELEVIDEO
#
tvi912|tvi920|tv920|old televideo,
    tbc=\E3,hts=\E1,cr=^M,cud1=^J,nel=^J,bel=^G,ind=^J,
    il1=\EE,am,cub1=^H,
    cup=\E=%p1%' '%+%c%p2%' '%+%c,
    clear=^Z,cols#80,dch1=\EW,dl1=\ER,rmir=,
    kbs=^h,kcuu1=^K,kcud1=^J,kcub1=^H,kcuf1=^L,kf1=^A@\r,kf2=^AA\r,
    kf3=^AB\r,kf4=^AC\r,
    kf5=^AD\r,kf6=^AE\r,kf7=^AF\r,kf8=^AG\r,kf9=^AH\r,kf10=^AI\r,
    home=^^,smir=,ich1=\EQ,lines#24,cuf1=^L,ht=^I,pt,rmso=\Ek,smso=\Ej,
    cuu1=^K,smul=\El,rmul=\Em,
    ma=^K^P^L ,xmc#1,ug#1,kreset=^R,
#
tvi912b|tvi912c|new televideo 912,
    il1=\EE,dl1=\ER,use=tvi912,
#
tvi920b|tvi920c|new televideo 920,
    kf0=^A@\r,kf1=^AA\r,kf2=^AB\r,kf3=^AC\r,kf4=^AD\r,kf5=^AE\r,
    kf6=^AF\r,kf7=^AG\r,kf8=^AH\r,kf9=^AI\r,use=tvi912b,
#
tvi912-2|tvi920-2|tvi-2p|televideo w/2 pages,
    smcup=\E-17 ,rmcup=\E-07 ,use=tvi912,
#
# p1=normal, p2=underline, p3=reverse, p4=blink, p5=half-intensity
#
tvi950|tv950|televideo 950,
    tbc=\E3,hts=\E1,cr=^M,cud1=^J,nel=^J,bel=^G,ind=^J,
    is1=\EDF\EC\Ed\EG0\Eg\Er\EO\E\047\E(\E%\Ew\EX\Ee ^O\
        \Ek\E016\E004\Ex0\200\200\Ex1\200\200\Ex2\200\200\
        \Ex3\200\200\Ex4\r\200\Eg\Ef\r\El,
    il1=\EE,am,cub1=^H,ed=\Ey,el=\Et,clear=\E*,
    cup=\E=%p1%' '%+%c%p2%' '%+%c,
    cols#80,dch1=\EW,dl1=\ER,cud1=^V,rmir=\Er,home=^^,
    smir=\Eq,kf0=^A0\r,
    kf1=^A@\r,kf2=^AA\r,kf3=^AB\r,kf4=^AC\r,kf5=^AD\r,
    kf6=^AE\r,kf7=^AF\r,kf8=^AG\r,kf9=^AH\r,kf10=^AI\r,kf11=^AJ\r,
    kf12=^A-\r,kbs=^H,kcud1=^V,khome=^^,kcub1=^H,kcuf1=^L,
    kcuu1=^K,lines#24,ma=^Vj^Kk^Hh^Ll^^H,mir,msgr,cuf1=^L,ht=^I,pt,
    rmso=\EG0,xmc#1,smso=\EG4,ri=\Ej,rmul=\EG0,ug#1,cuu1=^K,smul=\EG8,
    flash=\Eb\200\200\200\200\200\200\200\200\200\200\200\200\200\200\200\Ed,
    cnorm=\Ek,cvvis=\El,xenl,krmir=\EQ,kich1=\EQ,kel=\ET,
    ked=\EY,kreset=^R,kterminate=^Az\r,kil1=\EE,kdl1=\ER,kdch1=\EW,
    tx_blank=\EU^M\EX,cnorm=\E.2,civis=\E.0,tsl=\Ef,fsl=^M,
    kcent=^Ac\r,kbar=^Av\r,knot=^An\r,kdup=^Ad\r,
    kfmark=^Af\r,cent=~,bar=|,not=\136,
    kpa1=^A1\r,kpa2=^A2\r,kpa3=^A3\r,kclr=^Z,
    khost=^Ah\r,kstats=^As\r,ktrace=^At\r,kattrib=^Aa\r,kform=^Ab\r,
    sd3270=\Ef ^M,
    sgr=%?%p1%t\EG0
        %e%p2%t%?%p3%t%?%p4%t%?%p5%t\EG~
                             %e\EG>%;
                      %e%p5%t\EG|
                      %e\EG<%;
               %e%p4%t%?%p5%t\EGz
                      %e\EG\072%;
               %e%p5%t\EGx
               %e\EG8%;
        %e%p3%t%?%p4%t%?%p5%t\EGv
                      %e\EG6%;
               %e%p5%t\EGt
               %e\EG4%;
        %e%p4%t%?%p5%t\EGr
               %e\EG2%;
        %e%p5%t\EGp
        %e\EG0%;,
#
tvi950-2|televideo950 w/2 pages,
    is1=\EDF\EC\Ed\EG0\Eg\Er\EO\E\047\E(\E%\Ew\EX\Ee ^O
        \Ek\E016\E004\Ex0\200\200\Ex1\200\200\Ex2\200\200
        \Ex3\200\200\Ex4\r\200\E\\2\E-07,
    rmcup=\E\\2\E-07,
    smcup=\E\\1\E-07,
    use=tvi950,
#
tvi950-4|televideo950 w/4 pages,
    is1=\EDF\EC\Ed\EG0\Eg\Er\EO\E\047\E(\E%\Ew\EX\Ee ^O
        \Ek\E016\E004\Ex0\200\200\Ex1\200\200\Ex2\200\200
        \Ex3\200\200\Ex4\r\200\E\\3\E-07,
    rmcup=\E\\3\E-07 ,smcup=\E\\1\E-07 ,use=tvi950,
#
tvi950-r|televideo950 rev video,
    tbc=\E3,hts=\E1,
    is1=\EDF\EC\Eb\EG0\Eg\Er\EO\E\047\E(\E%\Ew\EX\Ee ^O
        \Ek\E016\E004\Ex0\200\200\Ex1\200\200\Ex2\200\200
        \Ex3\200\200\Ex4\r\200,
    flash=\Ed\200\200\200\200\200\200\200\200\200\200\200\200\200\200\200\Eb,
    use=tvi950,
#
tvi950-a|tvi 950 w/alt pages,
    is1=\E\\1,smcup=\E-06 ,rmcup=\E-16 ,use=tvi950,
#
tvi950-b|bare tvi950 no is,
    is1@,smkx=\El,rmkx=\Ek,use=tvi950,
#
tvi925|tv925|televideo 925,
    ich1=\EQ,smir@,rmir@,aspace,
    is1=\EC\Ed\EG0\Eg\Er\EO\EC\Ew\EX\Ex4\r\200\El,
    sgr=%?%p1%t\EG0
        %e%p2%t%?%p3%t%?%p4%t%?%p5%t\EG>
                             %e\EG>%;
                      %e%p5%t\EG<
                      %e\EG<%;
               %e%p4%t%?%p5%t\EG\072
                      %e\EG\072%;
               %e%p5%t\EG8
               %e\EG8%;
        %e%p3%t%?%p4%t%?%p5%t\EG6
                      %e\EG6%;
               %e%p5%t\EG4
               %e\EG4%;
        %e%p4%t%?%p5%t\EG2
               %e\EG2%;
        %e%p5%t\EG0
        %e\EG0%;,
    use=tvi950,
#
tvi921|tv921|televideo 921,
    ich1=\EQ,cud1=^V,ed=\EY,
    kf12=^AK\r,kf13=^AL\r,kf14=^AM\r,kf15=^AN\r,kf16=^AO\r,kf17=^A`\r,
    kf18=^Aa\r,kf19=^Ab\r,kf20=^Ac\r,kf21=^Ad\r,kf22=^Ae\r,kf23=^Af\r,
    kf24=^Ag\r,kf25=^Ah\r,kf26=^Ai\r,kf27=^Aj\r,kf28=^Ak\r,kf29=^Al\r,
    kf30=^Am\r,kf32=^An\r,kf32=^Ao\r,
    bold=\E(,sgr0=\E),invis=\E(\E1,
    su3270=\EF1\E;,
    use=tvi950,
#
tvi950r2|televideo950 rev video w/2 pages,
    is1=\EDF\EC\Eb\EG0\Eg\Er\EO\E\047\E(\E%\Ew\EX\Ee ^O
        \Ek\E016\E004\Ex0\200\200\Ex1\200\200\Ex2\200\200
        \Ex3\200\200\Ex4\r\200\E\\2\E-07,
    rmcup=\E\\2\E-07 ,smcup=\E\\1\E-07 ,use=tvi950-r,
#
tvi950r4|televideo950 rev video w/4 pages,
    is1=\EDF\EC\Eb\EG0\Er\EO\E\047\E(\E%\Ew\EX\Ee ^O
        \Ek\E016\E004\Ex0\200\200\Ex1\200\200\Ex2\200\200
        \Ex3\200\200\Ex4\r\200\E\\3\E-07,
    rmcup=\E\\3\E-07 ,smcup=\E\\1\E-07 ,use=tvi950-r,
#
#  --------------------------------
#
# D: DEC (DIGITAL EQUIPMENT CORPORATION)
#
# p1=normal, p2=underline, p3=reverse, p4=blink, p5=half-intensity
#
vt100|vt100-am|dec vt100,
    am,xon,pt,xenl,putblank,
    it#8,cols#80,lines#24,vt#3,
    cr=^M,nel=^J,bel=^G,
    clear=\E[2J\E[H,
    kich1=\EOP,krmir=\EOP,
    kil1=\EOQ,kdch1=\EOR,kdl1=\EOS,
    cup=\E[%i%p1%d;%p2%dH,
    cuu1=\E[A,cud1=\E[B,cuf1=\E[C,cub1=\E[D,
    cuu=\E[%p1%dA,cud=\E[%p1%dB,cuf=\E[%p1%dC,cub=\E[%p1%dD,
    home=\E[H,el=\E[K,ed=\E[J,
    smso=\E[1;7m,rmso=\E[m,smul=\E[4m,rmul=\E[m,
    rev=\E[7m,blink=\E[5m,bold=\E[1m,
    sgr0=\E[m,
    sgr=%?%p1%t\E[0;1m
        %e%p2%t%?%p3%t%?%p4%t%?%p5%t\E[0;4;5;7m
                             %e\E[1;4;5;7m%;
                      %e%p5%t\E[0;4;7m
                      %e\E[1;4;7m%;
               %e%p4%t%?%p5%t\E[0;4;5m
                      %e\E[1;4;5m%;
               %e%p5%t\E[0;4m
               %e\E[1;4m%;
        %e%p3%t%?%p4%t%?%p5%t\E[0;7;5m
                      %e\E[1;7;5m%;
               %e%p5%t\E[0;7m
               %e\E[1;7m%;
        %e%p4%t%?%p5%t\E[0;5m
               %e\E[1;5m%;
        %e%p5%t\E[m
        %e\E[0;1m%;,
    .ich1=\E[@,il1=\E[L,dch1=\E[P,dl1=\E[M,
    is1=\E[?7h\E=\E[1;24r,
    rs1=\E>\E[?3l\E[?4l\E[?5l\E[?7h\E[?8h,
    .smkx=\E[?1h\E=,.rmkx=\E[?1l\E>,
    ht=^I,hts=\EH,tbc=\E[3g,
    ri=\EM,ind=\ED,sc=\E7,rc=\E8,
    csr=\E[%i%p1%d;%p2%dr,
    tx_blank=\E(0\144\E(B,
    cent=\E(0\175\E(B,bar=|,not=\136,
    kcuu1=\E[A,kcud1=\E[B,kcuf1=\E[C,kcub1=\E[D,kbs=^H,
    kf1=\EOq,kf2=\EOr,kf3=\EOs,kf4=\EOt,kf5=\EOu,
    kf6=\EOv,kf7=\EOw,kf8=\EOx,kf9=\EOy,kf10=\EOp,
    kf11=\EOm,kf12=\EOl,
    kreset=^V,khome=^K,
    kdup=^T^D,kfmark=^T^F,kcent=^T^C,kbar=^T^V,knot=^T^N,
    khost=^Th,kattrib=^Ta,kstats=^Ts,ktrace=^Tt,kform=^Tf,
    kterminate=^Z,
#
vt132|dec vt132,
    rmir=\E[4l,smir=\E[4h,xenl,
    use=vt100,
#
vt50|dec vt50,
    cr=^M,cud1=^J,nel=^J,bel=^G,
    cub1=^H,el=\EK,clear=\EH\EJ,cols#80,lines#12,cuf1=\EC,ht=^I,pt,cuu1=\EA,
#
vt240|dec vt240,
    use=vt132,
#
vt52|dec vt52,
    cr=^M,cud1=^J,nel=^J,ind=^J,bel=^G,
    cub1=^H,el=\EK,clear=\EH\EJ,cols#80,lines#24,cuf1=\EC,
    cup=\EY%p1%' '%+%c%p2%' '%+%c,
    ht=^I,pt,ri=\EI,cuu1=\EA,kcuu1=\EA,kcud1=\EB,kcuf1=\EC,kcub1=\ED,kbs=^H,
#
vt200-8|dec vt200 8 bit,
    am,xon,pt,xenl,
    it#8,cols#80,lines#24,vt#3,
    cr=^M,nel=^J,bel=^G,
    clear=\233\062J\233H,
    smir=\233\064h,rmir=\233\064l,kich1=\233\062~,krmir=\233\062~,
    kil1=\217R,kdch1=\233\063~,kdl1=\217S,
    cup=\233%i%p1%d;%p2%dH,
    cuu1=\233A,cud1=\233B,cuf1=\233C,cub1=\233D,
    cuu=\233%p1%dA,cud=\233%p1%dB,cuf=\233%p1%dC,cub=\233%p1%dD,
    home=\233H,el=\233K,ed=\233J,
    smso=\233\061;7m,rmso=\233m,smul=\233\064m,rmul=\233m,
    rev=\233\067m,blink=\233\065m,bold=\233\061m,dim=\233\062\062m,
    sgr0=\233m,
    sgr=%?%p1%t\233\060;1m
        %e%p2%t%?%p3%t%?%p4%t%?%p5%t\233\060;4;5;7m
                             %e\233\061;4;5;7m%;
                      %e%p5%t\233\060;4;7m
                      %e\233\061;4;7m%;
               %e%p4%t%?%p5%t\233\060;4;5m
                      %e\233\061;4;5m%;
               %e%p5%t\233\060;4m
               %e\233\061;4m%;
        %e%p3%t%?%p4%t%?%p5%t\233\060;7;5m
                      %e\233\061;7;5m%;
               %e%p5%t\233\060;7m
               %e\233\061;7m%;
        %e%p4%t%?%p5%t\233\060;5m
               %e\233\061;5m%;
        %e%p5%t\233m
        %e\233\060;1m%;,
    .ch1=\233@,il1=\233L$<200>,dch1=\233P,dl1=\233M$<200>,
    is1=\233?7h\E=\233\061;24r,
    rs1=\233?3l\233?4l\233?5l\233?7h\233?8h,
    .smkx=\233?1h\E=,.rmkx=\233?1l\E>,
    ht=^I,hts=\210,tbc=\233\063g,
    ri=\215,ind=\204,sc=\E7,rc=\E8,
    csr=\233%i%p1%d;%p2%dr,
    tx_blank=\E(0\144\E(B,
    cent=\E(0\175\E(B,bar=|,not=\136,
    kcuu1=\233A,kcud1=\233B,kcuf1=\233C,kcub1=\233D,kbs=\127,
    kf1=\217q,kf2=\217r,kf3=\217s,kf4=\217t,kf5=\217u,
    kf6=\217v,kf7=\217w,kf8=\217x,kf9=\217y,kf10=\217p,
    kf11=\217m,kf12=\217l,kf13=\233\066~,
    kf14=\233\065~,kf15=\233\061~,kf16=\233\064~,
    kreset=^V,khome=^K,
    kdup=^T^D,kfmark=^T^F,kcent=^T^C,kbar=^T^V,knot=^T^N,
#
vt200|dec vt200 7 bit,
    am,xon,pt,xenl,
    it#8,cols#80,lines#24,vt#3,
    cr=^M,nel=^J,bel=^G,
    clear=\E[\062J\E[H,
    smir=\E[\064h,rmir=\E[\064l,kich1=\E[\062~,krmir=\E[\062~,
    kil1=\EOR,kdch1=\E[\063~,kdl1=\EOS,
    cup=\E[%i%p1%d;%p2%dH,
    cuu1=\E[A,cud1=\E[B,cuf1=\E[C,cub1=\E[D,
    cuu=\E[%p1%dA,cud=\E[%p1%dB,cuf=\E[%p1%dC,cub=\E[%p1%dD,
    home=\E[H,el=\E[K,ed=\E[J,
    smso=\E[\061;7m,rmso=\E[m,smul=\E[\064m,rmul=\E[m,
    rev=\E[\067m,blink=\E[\065m,bold=\E[\061m,dim=\E[\062\062m,
    sgr0=\E[m,
    sgr=%?%p1%t\E[\060;1m
        %e%p2%t%?%p3%t%?%p4%t%?%p5%t\E[\060;4;5;7m
                             %e\E[\061;4;5;7m%;
                      %e%p5%t\E[\060;4;7m
                      %e\E[\061;4;7m%;
               %e%p4%t%?%p5%t\E[\060;4;5m
                      %e\E[\061;4;5m%;
               %e%p5%t\E[\060;4m
               %e\E[\061;4m%;
        %e%p3%t%?%p4%t%?%p5%t\E[\060;7;5m
                      %e\E[\061;7;5m%;
               %e%p5%t\E[\060;7m
               %e\E[\061;7m%;
        %e%p4%t%?%p5%t\E[\060;5m
               %e\E[\061;5m%;
        %e%p5%t\E[m
        %e\E[\060;1m%;,
    il1=\E[L$<200>,dch1=\E[P,dl1=\E[M$<200>,
    is1=\E[?7h\E=\E[\061;24r,
    rs1=\E[?3l\E[?4l\E[?5l\E[?7h\E[?8h,
    ht=^I,hts=\210,tbc=\E[\063g,
    ri=\EM,ind=\ED,sc=\E7,rc=\E8,
    tx_blank=\E(0\144\E(B,
    cent=\E(0\175\E(B,bar=|,not=\136,
    kcuu1=\E[A,kcud1=\E[B,kcuf1=\E[C,kcub1=\E[D,kbs=\127,
    kf1=\EOq,kf2=\EOr,kf3=\EOs,kf4=\EOt,kf5=\EOu,
    kf6=\EOv,kf7=\EOw,kf8=\EOx,kf9=\EOy,kf10=\EOp,
    kf11=\EOm,kf12=\EOl,kf13=\E[\066~,
    kf14=\E[\065~,kf15=\E[\061~,kf16=\E[\064~,
    kreset=^V,khome=^K,
    kdup=^T^D,kfmark=^T^F,kcent=^T^C,kbar=^T^V,knot=^T^N,
#
#
#  --------------------------------
#
# H: HEWLETT PACKARD
#
hp|hewlett-packard,
    tbc=\E3,hts=\E1,cr=^M,cud1=^J,nel=^J,bel=^G,il1=\EL,am,cub1=^H,
    ed=\EJ,el=\EK,hpa=\E&a%dC,clear=\EH\EJ,
    cup=\E&a%p2%dc%p1%dY$<6>,
    cols#80,vpa=\E&a%dY,da,db,dch1=\EP,dl1=\EM,rmir=\ER,smir=\EQ,
    kbs=^H,lines#24,mir,cuf1=\EC,ht=^I,pt,rmso=\E&d@,smso=\E&dJ,cbt=\Ei,
    smul=\E&dD,rmul=\E&d@,cuu1=\EA,xhp,vt#6,pb#9600,kreset=^R,
#
# Note: there are newer ROM's for 2621's that allow you to set strap A
# so the regular arrow keys xmit \EA, etc, as with the 2645.
#
hp2621|hp2621a|hp2621p|hp2621fl|hp 2621,
    is1=\E&j@\r\E3\r,cbt=\Ei,dch1=\EP$<2>,ip=$<2>,pb#19200,
    cup=\E&a%p2%d%p1%dY,
    smso=\E&dD,rmso=\E&d@,smul=\E&dD,rmul=\E&d@,sgr0=\E&d@,
    khome=\Ep\r,kcuu1=\Et\r,kcub1=\Eu\r,kcuf1=\Ev\r,kcud1=\Ew\r,
    kn#8,kf1=\Ep\r,kf2=\Eq\r,kf3=\Er\r,kf4=\Es\r,kf5=\Et\r,kf6=\Eu\r,kf7=\Ev\r,
    kf8=\Ew\r,smkx=\E&jB,rmkx=\E&j@,ht=^I$<2>,use=hp,
#
hp2621ba|2621 w/new rom strap A set,
    smkx@,rmkx@,kcuu1=\EA,kcud1=\EB,kcub1=\ED,kcuf1=\EC,khome=\Eh,use=hp2621,
#
hp262145|k45|hp2622|hp 2621 with 45 keyboard,
    kbs=^H,kcuu1=\EA,kcud1=\EB,kcub1=\ED,kcuf1=\EC,khome=\Eh,smkx=\E&s1A,
    rmkx=\E&s0A,use=hp2621,
#
# This terminal should be used at 4800 baud or less.
#
hp2645|hp45|hp 264x series,
    dim=\E&dH,rev=\E&dB,smul=\E&dD,blink=\E&dA,sgr0=\E&d@,
    kn#14,kf1=\Ep\r,kf2=\Eq\r,kf3=\Er\r,kf4=\Es\r,kf5=\Et\r,kf6=\Eu\r,kf7=\Ev\r,
    kf8=\Ew\r,kf9=\E&d,kf10=\E[,kf11=\E],kf12=\EW,kf13=\EX,kf14=\E{,
    kcuu1=\EA,kcud1=\EB,kcub1=\ED,kcuf1=\EC,khome=\Eh,smkx=\E&s1A,rmkx=\E&s0A,
    use=hp,
#
# You should use this terminal at 4800 baud or less.
#
hp2648|hp2648a|HP 2648a graphics terminal,
    clear=\EH\EJ$<50>,dch1=\EP$<7>,ip=$<5>,
    cup=\E&a%p2%dc%p1%dY$<20>,
    use=hp2645,
#
hp2626|hp2626a|hp2626p|hp 2626,
    dch1=\EP$<2>,ip=$<2>,rmso=\E&d@,smso=\E&dB,ed=\EJ$<500>,
    rev=\E&dB,smul=\E&dD,blink=\E&dA,invis=\E&dS,sgr0=\E&d@,rmul=\E&d@,
    khome=\Eh,kcuu1=\EA,kcub1=\ED,kcuf1=\EC,kcud1=\EB,smkx=\E&s1A,rmkx=\E&s0A,
    ind=\ES,ht=^I$<2>,xhp,use=hp2621,
#
hp262623|hp2626 w/23 lines,
    lines#23,use=hp2626,
#
hp262612|hp2626 w/12 lines,
    lines#12,use=hp2626,
#
hp262611|hp2626 w/11 lines,
    lines#11,use=hp2626,
#
hp-12x40|hp2626 w/12 lines 40 columns,
    cols#40,lines#12,use=hp2626,
#
hp-x40|hp2626 w/40 columns,
    cols#40,use=hp2626,
#
# 2640a doesn't have the Y cursor addressing feature, and C is memory relative
# instead of screen relative, as we need.
#
hp2640|hp2640a|hp 2640a,
    cup@,smkx@,rmkx@,use=hp2645,
#
hp2640b|hp2644a|hp 264x series,
    smkx@,rmkx@,use=hp2645,
#
# 2621 using all 48 lines of memory, only 24 visible at any time.  Untested.
#
hp262148|48 line 2621,
    lines#48,home=\EH,
    cup=\E&a%p2%d%c%p1%dR,
    use=hp2621,
#
# 2621 with no labels ever.
#
hp2621nl|hp 2621 with no labels,
    smkx@,rmkx@,khome@,kcuu1@,kcub1@,kcuf1@,kcud1@,use=hp2621,
#
hp2621wl|hp 2621 w/labels,
    is1=\E&jA\r,rmkx=\E&jA,use=hp2621fl,
#
# # ---------------------------------
#
# Harris Workstations
#
HS|HS-xx|harris|workstation tube,
	il1=\E[L,ed=\E[J,el=\E[K,cols#80,dch1=\E[P,dl1=\E[M,cud1=\E[B,
	rmir=\E[4l,smir=\E[4h,is1=\EGc\EGb\EGw,lines#24,mir,cuf1=\E[C,
        pt,rmso=\E[0m,xmc#0,smso=\E[7m,cup=\E[%i%p1%d;%p2%dH,rmul=\EGau,
        smul=\EGu,cuu1=\E[A, kcuu1=\EOA,kcud1=\EOB,kcuf1=\EOC,kcub1=\EOD,
        clear=\E[2J,home=\E[H,
        kf1=\267,kf2=\231,kf3=\374,kf4=\237,kf5=\332,kf6=\220,kf7=\251,
        kf8=\210,kf9=\200,kf10=\204,kf11=\221,kf12=\265,
        kf13=\205,kf14=\240,kf15=\261,kf16=\230,
        kdch1=^?,kdl1=\EOI,kich1=\EOJ,kil1=\EOL,kel=\EOZ,
        khome=\EOR,kbs=^h,kbtb=\260,
harris-f12|workstation tube with old keyboard--has only 12 function keys,
	kdch1=^H,kf13=\EOF,kf14=\EOG,
        use=harris,
#
# # --------------------------------
#
# Apple II+ Computer
#
apple|apple II+ with videx 80 column card,
    cols#80,lines#24,am,el=\35,clear=\14$<6>,cuf1=\34,
    cuu1=\37,cud1=\12,kcuf1=^U,kent=^M,
    cup=\36%p2%' '%+%c%p1%' '%+%c,
    kcuf1=^K,kcub1=^J,kcuu1=^O,kcud1=^L,khome=^Y,kbs=^H,ktab=^I,
    kbtb=^B,knew=^N,ked=^W,kel=^A,
    krmir=^F,kich1=^F,kdch1=^D,kil1=^R,kdl1=^E,
    kf1=^Z1,kf2=^Z2,kf3=^Z3,kf4=^Z4,kf5=^Z5,kf6=^Z6,kf7=^Z7,
    kf8=^Z8,kf9=^Z9,kf10=^Za,kf11=^Zb,kf12=^Zc,
    kpa1=^P1,kpa2=^P2,kpa3=^P3,kreset=^Zr,kterminate=^Ze,
    khost=^Zh,kattrib=^Za,kform=^Zf,ktrace=^Zt,kstats=^Zs,
#
# # --------------------------------
#
# misc generic
#
dumb,
    am,
    cols#80,
    bel=^G,cr=^M,cud1=^J,ind=^J,
#
unknown,
    gn,
    use=dumb,
#
lp|line printer,
    hc,os,
    lines#66,cols#132,
    bel=^G,cub1=^H,ff=^L,cud1=^J,ind=^J,cr=^M,
#
gandalf|Gandalf terminal selector,
    use=unknown,
#
network|Ethernet terminal,
    use=unknown,
#----------------------------------------------------------------------------
