#	@(#)libl.mk	1.2

ULIBDIR=$(ROOT)/usr/lib
CFLAGS=$(CFL)
LORDER=lorder
AR=ar

OBJECTS=allprint.o main.o reject.o yyless.o yywrap.o

all:	$(OBJECTS)
	$(AR) rv libl.a `$(LORDER) *.o | tsort`

install: ncform nrform all
	/etc/install -f $(ULIBDIR) libl.a

clean:
	-rm -f *.o

clobber: clean
	-rm -f libl.a 

allprint.o: lib/allprint.c
	$(CC) -c $(CFLAGS) lib/allprint.c

main.o: lib/main.c
	$(CC) -c $(CFLAGS) lib/main.c

reject.o: lib/reject.c
	$(CC) -c $(CFLAGS) lib/reject.c

yyless.o: lib/yyless.c
	$(CC) -c $(CFLAGS) lib/yyless.c

yywrap.o: lib/yywrap.c
	$(CC) -c $(CFLAGS) lib/yywrap.c

ncform:	lib/ncform
	(cd lib; /etc/install -f $(ULIBDIR)/lex ncform)

nrform:	lib/nrform
	(cd lib; /etc/install -f $(ULIBDIR)/lex nrform)
