#	libplot.a make file
#	SCCS:	@(#)plot.mk	1.4

INSDIR = $(ROOT)/usr/lib
INS = cp
LIST = lp
CFLAGS = $(CFL)
MAKE = make

SOURCE = arc.c box.c circle.c close.c cont.c dot.c erase.c label.c \
	 line.c linmod.c move.c open.c point.c putsi.c space.c

OFILES = arc.o box.o circle.o close.o cont.o dot.o erase.o label.o \
	 line.o linmod.o move.o open.o point.o putsi.o space.o

all:	libplot.a

libplot.a: $(OFILES)
	$(AR) rv libplot.a $(OFILES)

install: all
	$(INS) libplot.a $(INSDIR)
	chmod 644 $(INSDIR)/libplot.a
	chgrp bin $(INSDIR)/libplot.a
	chown bin $(INSDIR)/libplot.a

listing: listmk
	pr plot.mk $(SOURCE) | $(LIST)

listmk:
	pr plot.mk | $(LIST)

clean:
	-rm -f $(OFILES)

clobber: clean
	-rm -f libplot.a
