#	lib300s.a make file
#	SCCS:	@(#)t300s.mk	1.4

INSDIR = $(ROOT)/usr/lib
INS = cp
LIST = lp
CFLAGS = $(CFL)

SOURCE = con.h arc.c box.c circle.c close.c dot.c erase.c label.c \
	 line.c linmod.c move.c open.c point.c space.c subr.c

OFILES = arc.o box.o circle.o close.o dot.o erase.o label.o \
	 line.o linmod.o move.o open.o point.o space.o subr.o

all:	lib300s.a

lib300s.a: $(OFILES)
	$(AR) rv lib300s.a $(OFILES)

install: all
	$(INS) lib300s.a $(INSDIR)
	chmod 644 $(INSDIR)/lib300s.a
	chgrp bin $(INSDIR)/lib300s.a
	chown bin $(INSDIR)/lib300s.a

listing: listmk
	pr t300s.mk $(SOURCE) | $(LIST)

listmk:
	pr t300s.mk | $(LIST)

clean:
	-rm -f $(OFILES)

clobber: clean
	-rm -f lib300s.a
