#	lib4014.a make file
#	SCCS:	@(#)t4014.mk	1.4

INSDIR = $(ROOT)/usr/lib
INS = cp
LIST = lp
CFLAGS = $(CFL)

SOURCE = arc.c box.c circle.c close.c dot.c erase.c label.c \
	 line.c linemod.c move.c open.c point.c scale.c space.c subr.c

OFILES = arc.o box.o circle.o close.o dot.o erase.o label.o \
	 line.o linemod.o move.o open.o point.o scale.o space.o subr.o

all:	lib4014.a

lib4014.a: $(OFILES)
	$(AR) rv lib4014.a $(OFILES)

install: all
	$(INS) lib4014.a $(INSDIR)
	chmod 644 $(INSDIR)/lib4014.a
	chgrp bin $(INSDIR)/lib4014.a
	chown bin $(INSDIR)/lib4014.a

listing: listmk
	pr t4014.mk $(SOURCE) | $(LIST)

listmk:
	pr t4014.mk | $(LIST)

clean:
	-rm -f $(OFILES)

clobber: clean
	-rm -f lib4014.a
