
/*
   #title  Prints contents of the heap for debugging
*/

echo_print(td )
struct tdef_heap  *td;

{
unsigned char *a ;
unsigned char *aa ;
int  *b  ;
FILE *w7 ;
int  i;                                                           /*<TKW-06>*/
int cols;                                                         /*<TKW-06>*/

w7 = fopen("W7","w");
printf("Writing heap contents to W7 \n");
fprintf (w7," Heap Contents - echo print \n\n");
fprintf (w7,"   The Heap contents are presented by sections. \n");  /*<TKW-06>*/
fprintf (w7,"   Each attribute section provides the attribute \n"); /*<TKW-06>*/
fprintf (w7,"   in parentheses followed by its value, with the \n");/*<TKW-06>*/
fprintf (w7,"   exception of the String section which displays\n"); /*<TKW-06>*/
fprintf (w7,"   the offset into the section followed by the   \n"); /*<TKW-06>*/
fprintf (w7,"   string contents. \n\n");                            /*<TKW-06>*/
fprintf (w7," HEADER : \n");
b = td->header_section;
while((unsigned char *)b < td->names_section)
   fprintf(w7,"  %d\n", *b++);
fprintf(w7,"\n NAME SECTION\n");
fprintf(w7," %s\n",td->names_section);

a = td->boolean_section;
fprintf(w7,"\n BOOLEAN SECTION \n");                               /*<TKW-06>*/
i = 0;                                                             /*<TKW-06>*/
while( a < (unsigned char *)td->numbers_section)
    fprintf(w7," (%3d) %d\n", i++, (int) *a++);                    /*<TKW-06>*/
fprintf(w7,                                                        /*<TKW-06>*/
    " There are %d bytes in the Boolean Section, including padding.\n", i);
fprintf(w7, " There are %d Boolean Attributes defined in offset.h.\n",
                                                      NUM_OF_BOOL);/*<TKW-06>*/

b = td->numbers_section;
fprintf(w7," \n NUMERIC SECTION \n");
i = 0;                                                              /*<TKW-06>*/
while( b < td->string_offsets_section)
    fprintf(w7," (%3d) %d\n", i++, *b++ );                          /*<TKW-06>*/
fprintf(w7, " There are %d integers in the Numeric Section.\n", i); /*<TKW-06>*/
fprintf(w7, " There are %d Numeric Attributes defined in offset.h.\n",
                                                        NUM_OF_NUM);/*<TKW-06>*/

b = td->string_offsets_section;
fprintf(w7," \n STRING OFFSETS SECTION \n");
i = 0;                                                              /*<TKW-06>*/
while ((unsigned char *)b < td->strings_section)
    fprintf(w7," (%3d) %d\n", i++, *b++ );                          /*<TKW-06>*/
fprintf(w7, " There are %d integers in the String Offsets Section.\n", i);
fprintf(w7, " There are %d String Attributes defined in offset.h.\n",
                                                        NUM_OF_STR);/*<TKW-06>*/

aa = td->strings_section  ;
i = 0;                                                              /*<TKW-06>*/
fprintf(w7," \n STRING  SECTION \n");
fprintf( w7," (%3d) ", i );                                         /*<TKW-06>*/
cols = 7;                                                           /*<TKW-06>*/
while (aa < td->tdef_heap_end)
   {
   if ((char)*aa != '\0')
      {
      if ((*aa <= '~') && (*aa >= ' '))
         {                                                          /*<TKW-06>*/
         fprintf(w7," %c",*aa);
         cols += 2;                                                 /*<TKW-06>*/
         }                                                          /*<TKW-06>*/
      else
         {                                                          /*<TKW-06>*/
         fprintf(w7," \\%o",*aa);
         cols += 4;                                                 /*<TKW-06>*/
         }                                                          /*<TKW-06>*/
      if (cols >= 72)    /* So I can Print the entire string */     /*<TKW-06>*/
         {                                                          /*<TKW-06>*/
         fprintf( w7,"\n       ");                                  /*<TKW-06>*/
         cols = 7;                                                  /*<TKW-06>*/
         }                                                          /*<TKW-06>*/
      }
   else
      {
      fprintf(w7,"\n");
      if ((aa+1) < td->tdef_heap_end)                               /*<TKW-06>*/
        fprintf( w7," (%3d) ", i+1 );  /* Print offset past NULL */ /*<TKW-06>*/
      cols = 6;                                                     /*<TKW-06>*/
      }
   aa++;
   i++;                                                             /*<TKW-06>*/
   }
fprintf ( w7, " End of strings section \n");
}
