


/* operation codes */

#define  END_STRING     1
#define  PERCENT        END_STRING+1
#define  PRINT_POP_D    PERCENT+1
#define  PRINT_POP_C    PRINT_POP_D+1
#define  PRINT_POP_S    PRINT_POP_C+1
#define  PLUS           PRINT_POP_S+1
#define  MINUS          PLUS+1
#define  TIMES          MINUS+1
#define  DIVIDE         TIMES+1
#define  MOD            DIVIDE+1
#define  BIT_AND        MOD+1
#define  BIT_OR         BIT_AND+1
#define  BIT_XOR        BIT_OR+1
#define  LOG_EQUAL      BIT_XOR+1
#define  LESS_THAN      LOG_EQUAL+1
#define  GREATER_THAN   LESS_THAN+1
#define  LOG_NOT        GREATER_THAN+1
#define  BIT_NOT        LOG_NOT+1
#define  INCREM         BIT_NOT+1
#define  IF_OP          INCREM+1
#define  THEN_OP        IF_OP+1
#define  ELSE_OP        THEN_OP+1
#define  END_IF_OP      ELSE_OP+1
#define  START          END_IF_OP+1
#define  ITSA0          START+1
#define  ITSA2          ITSA0+1
#define  ITSA3          ITSA2+1
#define  BIGP           ITSA3+1
#define  SMALLP         BIGP+1
#define  SMALLG         SMALLP+1
#define  TICK1          SMALLG+1
#define  L_BRACE        TICK1+1
#define  TICK2          L_BRACE+1
#define  GET_INT_CONST  TICK2+1
#define  INT_CONST_OP   GET_INT_CONST+1
#define  CHAR_CONST_OP  INT_CONST_OP+1
#define  PUSH_OP        CHAR_CONST_OP+1
#define  POP_VAR_OP     PUSH_OP+1
#define  PUSH_VAR_OP    POP_VAR_OP+1
#define  PRINT_POP_2D   PUSH_VAR_OP+1
#define  PRINT_POP_3D   PRINT_POP_2D+1
#define  OP_ERROR            -1


/*  error conditions */

#define  NO_ERROR            1
#define  LENGTH_ERR          0
#define  IF_THEN_ELSE_ERROR  LENGTH_ERR-1
#define  PERCENT_ERR         IF_THEN_ELSE_ERROR-1
#define  PR_0ND_ERR          PERCENT_ERR-1
#define  PR_2D_ERR           PR_0ND_ERR-1
#define  PR_3D_ERR           PR_2D_ERR-1
#define  PUSH_ERR            PR_3D_ERR-1
#define  POP_VAR_ERR         PUSH_ERR-1
#define  PUSH_VAR_ERR        POP_VAR_ERR-1
#define  CHAR_CONST_ERR      PUSH_VAR_ERR-1
#define  INT_CONST_ERR       CHAR_CONST_ERR-1
#define  VAR_NUM_ERR         INT_CONST_ERR-1
#define  PARM_NUM_ERR        VAR_NUM_ERR-1
#define  PUSH_POP_ERR        PARM_NUM_ERR-1
#define  IF_PUSH_POP_ERR     PUSH_POP_ERR-1
