
#ifndef   VOS
#include "all.h"
#endif

/*
    #title  Stack operations for parstr.c
*/


/*----------------------------------------------------------------------*
 *                                                                      *
 *         P R O P R I E T A R Y  AND  C O N F I D E N T I A L          *
 *                                                                      *
 *                                                                      *
 *       HARRIS COMPUTER SYSTEMS DIVISION OF HARRIS CORPORATION         *
 *                                                                      *
 *    The software contained herein is furnished pursuant a license     *
 *    agreement for use with a single HCSD computer and cannot be       *
 *    copied except as provided in the license agreement.               *
 *                                                                      *
 *----------------------------------------------------------------------*/



push( value )

   int value;

   {
   ++mystack_top_;
   if (mystack_top_ <= max_mystack_)
      *mystack_top_ = value;
   else
      {
      --mystack_top_;
      error_ = PUSH_POP_ERR ;
      }
   }

int pop()

   {
   int  value;
   if (mystack_top_ >= mystack)
      value = *mystack_top_--;
   else
      {
      error_ = PUSH_POP_ERR;
      value = 0;
      }
   return(value);
   }

int peek(offset)
   int offset ;

   {
   int  *s_ptr ;
   int  j;
   int  value;

   s_ptr = mystack_top_;
   for (j=offset; j>1; j--)
      --s_ptr;
   if ( s_ptr >= mystack)
      value = *s_ptr;
   else
      {
      error_ = PUSH_POP_ERR;
      value = '\0';
      }
   return(value);
   }


if_push( value )

   unsigned char value;

   {
   ++if_stack_top_;
   if (if_stack_top_ <= max_if_stack_)
      *if_stack_top_ = value;
   else
      {
      --if_stack_top_;
      error_ = IF_PUSH_POP_ERR;
      }
   }

unsigned char if_pop()

   {
   unsigned char  value;
   if (if_stack_top_ >= if_stack)
      value = *if_stack_top_--;
   else
      {
      error_ = IF_PUSH_POP_ERR;
      value = '\0';
      }
   return(value);
   }

unsigned char if_peek(offset)

   int  offset ;

   {
   unsigned char  *s_ptr ;
   int   j;
   unsigned char  value;

   s_ptr = if_stack_top_;
   for (j=offset; j>1; j--)
      --s_ptr;
   if ( s_ptr >= if_stack)
      value = *s_ptr;
   else
      {
      error_ = IF_PUSH_POP_ERR;
      value = '\0';
      }
   return(value);
   }

unsigned char if_flush()

   {
   while ((*if_stack_top_ != '?') && (if_stack_top_ > if_stack))
      --if_stack_top_;
   if (*if_stack_top_ == '?')
      {
      --if_stack_top_;
      return(TRUE);
      }
   else
      return(FALSE);
   }





