
#ifndef VOS
#include "all.h"
#endif

/******************************************************************************
 *                                                                            *
 *  stoi - converts a string of characters representing an array of byte-     *
 *         reversed two-byte integers into an array of short integers.        *
 *                                                                            *
 *  calling syntax: stoi (char string, short array, integer)                  *
 *                                                                            *
 *  returns: void                                                             *
 *                                                                            *
 *  globals used: none                                                        *
 *                                                                            *
 ******************************************************************************/

stoi (string, iarray, count)
unsigned char *string;
int *iarray;
int count;

{
   int i;                           /* index integer                          */

   for (i = 0; i < count; i++) {
      iarray[i] = (int) ((int)(*(string+1) << 8 ) | (int)*(string));
      if (iarray[i] == NEGATIVE_ONE)
         iarray[i] = -1 ;
      string+=2;                    /* move string pointer up two bytes       */
   }
   return (NULL);
} /* end stoi */


