#	Makefile	4.1	83/06/27
#

CFLAGS=	$(CFL) -DCM_N -DCM_GT -DCM_B -DCM_D 
LDFLAGS = $(LFL)

.c.o:
	$(CC) $(CFLAGS) -c -p $*.c
	$(LD) -x -r -o profiled/$*.o $*.o
	$(CC) $(CFLAGS) -c $*.c
	$(LD) -r $*.o
	mv a.out $*.o

termcap.a termcap_p.a: termcap.o tgoto.o tputs.o
	ar cr termcap.a termcap.o tgoto.o tputs.o
	cd profiled; ar cr ../termcap_p.a termcap.o tgoto.o tputs.o

clean clobber:
	rm -f *.o profiled/*.o *.a a.out
	
install: termcap.a termcap_p.a
	install -r -f $(ROOT)/usr/lib termcap.a
	mv $(ROOT)/usr/lib/termcap.a $(ROOT)/usr/lib/libtermcap.a
	rm -f $(ROOT)/usr/lib/libtermlib.a
	ln -f $(ROOT)/usr/lib/libtermcap.a $(ROOT)/usr/lib/libtermlib.a
	install -r -f $(ROOT)/usr/lib/libp termcap_p.a
	mv $(ROOT)/usr/lib/libp/termcap_p.a $(ROOT)/usr/lib/libp/libtermcap.a
	rm -f $(ROOT)/usr/lib/libp/libtermlib.a
	ln -f $(ROOT)/usr/lib/libp/libtermcap.a $(ROOT)/usr/lib/libp/libtermlib.a

VGRIND=	csh /usr/ucb/vgrind
vgrind:
	cp /dev/null index
	$(VGRIND) -h "Termcap library" termcap.c tputs.c tgoto.c
	$(VGRIND) -h "Termcap library" -x index
