/*
** General constants related to VDDC disk drives.
*/
#define	MAXCONTROLLER	4
#define	MAXDRIVE	16

#define	MAXTRKS		24
#define	MAXSECS_PER_TRK	48
#define SECSIZ		512
#define	TRKSIZ		((SECSIZ/sizeof(long)) * MAXSECS_PER_TRK)

/*
** I/O control blocks for VDDC disks.
*/
static fmt_mdcb	mdcb;		/* Master device control block */
static fmt_dcb	dcb;		/* Device control blocks */

/*
** Global information related to VDDC controllers.
*/
static char	ctlr_type [MAXCONTROLLER] ;
static char * 	ctlr_name [MAXCONTROLLER] ;
static cdr *    ctlr_addr [MAXCONTROLLER] ;

/*
** Global information related to VDDC disk drives.
*/
static char	drive_list [MAXCONTROLLER][MAXDRIVE] ;
static char     drive_type [MAXCONTROLLER][MAXDRIVE] ;
static char *   drive_name [MAXCONTROLLER][MAXDRIVE] ;

static geometry_sector  geometry_sector_buffer; /* geometry sector buffer */
static char	scratch [4096] ;        	/* scratch buffer */
