#
# Copyright (c) 1982 Regents of the University of California.
# All rights reserved.  The Berkeley software License Agreement
# specifies the terms and conditions for redistribution.
#
#	@(#)Makefile	1.4 (Berkeley) 6/8/85
#
INCRT =		..
CFLAGS =	$(CFL)
LFLAGS =	${LFL}
INCLDIR =	$(SL)/usr/include
INSDIR=$(ROOT)/usr/bin

# The program itself
#
PROG =	inline

# Sources
#
SRCS =	main.c machdep.c machpats.c libcpats.c langpats.c

# Objects
#
OBJS =	main.o machdep.o machpats.o libcpats.o langpats.o

# Header files
#
HDRS =	inline.h

all:	${PROG}

${PROG}: ${OBJS} ${HDRS}
	${CC} ${CFLAGS} ${LFLAGS} -o ${PROG} ${OBJS}

${OBJS}:
	@echo "          "$*.c
	@${CC} ${CFLAGS} -c $*.c

install: all
	install -r -f ${INSDIR} inline

clean:
	rm -f a.out core ${OBJS} ${PROG}

clobber:	clean

lint:
	lint ${SRCS}

depend:
	echo THIS STEP DOES NOT WORK

main.o: ${INCLDIR}/stdio.h ${INCLDIR}/ctype.h ./inline.h
machdep.o: ${INCLDIR}/stdio.h ${INCLDIR}/ctype.h
machpats.o: ./inline.h
libcpats.o: ./inline.h
langpats.o: ./inline.h
