   RESTART CONFIRM
/*
/*  Release Test Number 6
/*
/*  This command procedure constructs a multi-chart consisting
/*  of five separate charts depicting corporate sales.
/*
   TEXT CHART
/*
/*  Chart #1 is a Text Chart
/*
   TITLE Argent Energy Sales History and Two Year Forecast
   TEXT FONT TRIPLEX-ITALIC
   SUBTITLE (Figures in millions of dollars)
   TEXT FONT DUPLEX-ITALIC
/*
   CHART BACKGROUND COLOR BLUE
   PLOT NOERASE NOPAUSE
/*
/*  Create the datasets and associated attributes:
/*
   AUTO INDEPENDENT DATASET 'YEAR'  80,  85, 1
/*
   ENTER DEPENDENT DATASET  'GAS'  5.7, 7.0, 7.2, 8.8, 10.1, 12.0 END
   FILL COLOR GREEN
   ENTER DEPENDENT DATASET  'OIL'  1.8, 6.3, 7.3, 9.5,  8.3,  7.7 END
   FILL COLOR YELLOW
   ENTER DEPENDENT DATASET  'COAL' 5.0, 7.7, 8.0, 9.4, 12.1, 13.5 END
   FILL COLOR LIGHT-BLUE
/*
/*  Chart #2 shows gas sales:
/*
   VERTICAL BAR
   NOTE 1 Natural Gas Sales
   TEXT FONT DUPLEX
   TEXT POSITION 16.5 81
/*
/*  Define left axis attributes:
/*
   CURRENT AXIS LEFT
   AXIS RANGE 0,14
   GRID LABEL ANGLE 0
/*
/*  Define bottom axis attributes:
/*
   CURRENT AXIS BOTTOM
   TICK LABEL ANGLE  0
/*
/*  Customize picture appearance:
/*
   DATA WINDOW 5 30.3 58 78
   DISABLE DATASET OIL
   DISABLE DATASET COAL
   DISABLE TITLE
   DISABLE SUBTITLE
   DISABLE PICTURE BACKGROUND
   DISABLE CHART BACKGROUND
   DISABLE DATA BACKGROUND
   DISABLE LEFT AXIS LINE
   DISABLE BOTTOM AXIS LINE
/*
   PLOT NOERASE NOPAUSE
/*
/*  Chart #3 shows oil sales:
/*
   DISABLE DATASET GAS
   ENABLE  DATASET OIL
   NOTE 1 Crude Oil Sales
   TEXT POSITION 50 81
   DATA WINDOW 38.3 63.7 58 78
/*
   PLOT NOERASE NOPAUSE
/*
/*  Chart #4 shows coal sales:
/*
   DISABLE DATASET OIL
   ENABLE  DATASET COAL
   NOTE 1 Coal Sales
   TEXT POSITION 83.5 81
   DATA WINDOW 71.7 97 58 78
/*
   PLOT NOERASE NOPAUSE
/*
/*  Chart #5 shows total sales:
/*
   STACKED VERTICAL BAR
   ENABLE DATASET GAS
   ENABLE DATASET OIL
   DATA WINDOW 5 97 10 48
   NOTE 1 Total Sales
   TEXT POSITION 50 45
   TEXT SIZE 3.5
   CURRENT AXIS LEFT
   AXIS RANGE AUTO
/*
   PLOT NOERASE
   ERASE
/*
/*  End of Release Test 6
/*
