   RESTART CONFIRM
/*
/*   Release Test Number 15
/*
/*   This command procedure makes calls to the STROKE fonts
/*   to insure that they are working properly at the installations
/*   that have them installed.
/*
/*   NOTE TO THE INSTALLER:
/*   ----------------------
/*
/*   This test procedure should work in one of two ways:
/*
/*     - If your installation has STROKE fonts, then this
/*       test procedure should operate without any errors.
/*
/*     - If your installation does not have STROKE fonts,
/*       then this test procedure should fail.
/*
/*   If this test procedure causes the PicSure system to crash or
/*   else generates an error message incorrectly, then either the
/*   stroke font installation or the PicSure installation need to be
/*   checked.
/*
/*   Create a TEXT CHART with STROKE characters and
/*   horizontal lines as separators.  NOTE: for previewing
/*   the TEXT QUALITY FILLED commands below may be changed
/*   to TEXT QUALITY OUTLINE.
/*
   TEXT CHART
   CHART BACKGROUND COLOR RED
/*
/*   Draw main chart note, and define its attributes.
/*
   NOTE 1 Some PicSure Stroke Fonts
   TEXT COLOR BLUE
   TEXT SIZE 8
   TEXT POSITION 50 78
   TEXT FONT SIMPLEX
/*
/*   Separate main note with a pair of horizontal lines above and below.
/*   (Use underline capability.)
/*
   NOTE 2 Simplex
   TEXT POSITION 50 70
   TEXT FONT SIMPLEX
/*
   NOTE 3 Simplex-Italic
   TEXT POSITION 50 66
   TEXT FONT SIMPLEX-ITALIC
/*
   NOTE 4 Duplex
   TEXT POSITION 50 62
   TEXT FONT DUPLEX
/*
   NOTE 5 Duplex-Italic
   TEXT POSITION 50 58
   TEXT FONT DUPLEX-ITALIC
/*
   NOTE 6 Complex
   TEXT POSITION 50 54
   TEXT FONT COMPLEX
/*
   NOTE 7 Complex-Italic
   TEXT POSITION 50 50
   TEXT FONT COMPLEX-ITALIC
/*
   NOTE 8 Triplex
   TEXT POSITION 50 46
   TEXT FONT TRIPLEX
/*
   NOTE 9 Triplex-Italic
   TEXT POSITION 50 42
   TEXT FONT TRIPLEX-ITALIC
/*
   NOTE 10 Greek
   TEXT POSITION 50 38
   TEXT FONT GREEK
/*
   NOTE 11 Greek-Italic
   TEXT POSITION 50 34
   TEXT FONT GREEK-ITALIC
/*
   NOTE 12 Script
   TEXT POSITION 50 30
   TEXT FONT SCRIPT
/*
   NOTE 13 Script-Italic
   TEXT POSITION 50 26
   TEXT FONT SCRIPT-ITALIC
/*
   CURRENT TEXTITEM NOTE 2 TO 13
   TEXT COLOR BLACK
/*
/*   Define and position several notes.
/*
   NOTE 14 Graphics by Harris Computer Systems Division
   TEXT COLOR BLACK
   TEXT POSITION 98 8
   TEXT JUSTIFICATION RIGHT CENTER
   TEXT FONT SIMPLEX
/*
/*   Draw the picture.
/*
   PLOT
/*
/*   End of Release Test 15
/*
