#include "../sys/param.h"
#include "../ml/pte.h"
#include "../sys/buf.h"
#include "../sys/map.h"

#include "../sys/vbavar.h"

#define C (caddr_t)

extern struct vba_driver hddriver;
extern Xhdintr0();
int	 (*hdint0[])() = { Xhdintr0, 0 } ;
extern struct vba_driver hddriver;
extern Xhdintr1();
int	 (*hdint1[])() = { Xhdintr1, 0 } ;
extern struct vba_driver vddriver;
extern Xvdintr0();
int	 (*vdint0[])() = { Xvdintr0, 0 } ;
extern struct vba_driver vddriver;
extern Xvdintr1();
int	 (*vdint1[])() = { Xvdintr1, 0 } ;
extern struct vba_driver tmdriver;
extern Xcyintr0();
int	 (*tmint0[])() = { Xcyintr0, 0 } ;
extern struct vba_driver xydriver;
extern Xxyintr0();
int	 (*xyint0[])() = { Xxyintr0, 0 } ;
extern struct vba_driver vxdriver;
extern Xvackint0(), Xvcmdrsp0(), Xvunsol0();
int	 (*vxint0[])() = { Xvackint0, Xvcmdrsp0, Xvunsol0, 0 } ;
extern struct vba_driver vxdriver;
extern Xvackint1(), Xvcmdrsp1(), Xvunsol1();
int	 (*vxint1[])() = { Xvackint1, Xvcmdrsp1, Xvunsol1, 0 } ;
extern struct vba_driver vxdriver;
extern Xvackint2(), Xvcmdrsp2(), Xvunsol2();
int	 (*vxint2[])() = { Xvackint2, Xvcmdrsp2, Xvunsol2, 0 } ;
extern struct vba_driver vxdriver;
extern Xvackint3(), Xvcmdrsp3(), Xvunsol3();
int	 (*vxint3[])() = { Xvackint3, Xvcmdrsp3, Xvunsol3, 0 } ;
extern struct vba_driver vxdriver;
extern Xvackint4(), Xvcmdrsp4(), Xvunsol4();
int	 (*vxint4[])() = { Xvackint4, Xvcmdrsp4, Xvunsol4, 0 } ;
extern struct vba_driver vxdriver;
extern Xvackint5(), Xvcmdrsp5(), Xvunsol5();
int	 (*vxint5[])() = { Xvackint5, Xvcmdrsp5, Xvunsol5, 0 } ;
extern struct vba_driver vxdriver;
extern Xvackint6(), Xvcmdrsp6(), Xvunsol6();
int	 (*vxint6[])() = { Xvackint6, Xvcmdrsp6, Xvunsol6, 0 } ;
extern struct vba_driver vxdriver;
extern Xvackint7(), Xvcmdrsp7(), Xvunsol7();
int	 (*vxint7[])() = { Xvackint7, Xvcmdrsp7, Xvunsol7, 0 } ;

struct vba_ctlr vbminit[] = {
/*	 driver,	ctlr,	vbanum,	alive,	intr,	addr */
	{ &hddriver,	0,	'?',	0,	hdint0,	C '?' },
	{ &hddriver,	1,	'?',	0,	hdint1,	C '?' },
	{ &vddriver,	0,	'?',	0,	vdint0,	C 0xff2000 },
	{ &vddriver,	1,	'?',	0,	vdint1,	C 0xff2100 },
	{ &tmdriver,	0,	'?',	0,	tmint0,	C 0xff4000 },
	{ &xydriver,	0,	'?',	0,	xyint0,	C 0xff8000 },
	{ &vxdriver,	0,	'?',	0,	vxint0,	C '?' },
	{ &vxdriver,	1,	'?',	0,	vxint1,	C '?' },
	{ &vxdriver,	2,	'?',	0,	vxint2,	C '?' },
	{ &vxdriver,	3,	'?',	0,	vxint3,	C '?' },
	{ &vxdriver,	4,	'?',	0,	vxint4,	C 0xfe0000 },
	{ &vxdriver,	5,	'?',	0,	vxint5,	C 0xfe4000 },
	{ &vxdriver,	6,	'?',	0,	vxint6,	C 0xfe8000 },
	{ &vxdriver,	7,	'?',	0,	vxint7,	C 0xfec000 },
	0
};

struct vba_device vbdinit[] = {
	/* driver,  unit, ctlr,  vbanum, slave,   intr,    addr,    dk, flags*/
	{ &hddriver,   0,   0x0,  '?',     0,        0, C 0x0     ,  2,  0x0 },
	{ &hddriver,   1,   0x0,  '?',     1,        0, C 0x0     ,  2,  0x0 },
	{ &hddriver,   2,   0x0,  '?',     2,        0, C 0x0     ,  2,  0x0 },
	{ &hddriver,   3,   0x0,  '?',     3,        0, C 0x0     ,  2,  0x0 },
	{ &hddriver,   4,   0x1,  '?',     0,        0, C 0x0     ,  2,  0x0 },
	{ &hddriver,   5,   0x1,  '?',     1,        0, C 0x0     ,  2,  0x0 },
	{ &hddriver,   6,   0x1,  '?',     2,        0, C 0x0     ,  2,  0x0 },
	{ &hddriver,   7,   0x1,  '?',     3,        0, C 0x0     ,  2,  0x0 },
	{ &vddriver,   8,   0x0,  '?',     0,        0, C 0x0     ,  1,  0x0 },
	{ &vddriver,   9,   0x0,  '?',     1,        0, C 0x0     ,  1,  0x0 },
	{ &vddriver,  10,   0x0,  '?',     2,        0, C 0x0     ,  1,  0x0 },
	{ &vddriver,  11,   0x0,  '?',     3,        0, C 0x0     ,  1,  0x0 },
	{ &vddriver,  12,   0x1,  '?',     0,        0, C 0x0     ,  1,  0x0 },
	{ &vddriver,  13,   0x1,  '?',     1,        0, C 0x0     ,  1,  0x0 },
	{ &vddriver,  14,   0x1,  '?',     2,        0, C 0x0     ,  1,  0x0 },
	{ &vddriver,  15,   0x1,  '?',     3,        0, C 0x0     ,  1,  0x0 },
	{ &tmdriver,   0,   0x0,  '?',     0,        0, C 0x0     ,  0,  0x0 },
	{ &xydriver,   0,   0x0,  '?',     0,        0, C 0x0     ,  0,  0x0 },
	{ &vxdriver,   0,   0x0,  '?',    -1,   vxint0, C 0xffffffff,  0,  0x0 },
	{ &vxdriver,   1,   0x1,  '?',    -1,   vxint1, C 0xffffffff,  0,  0x0 },
	{ &vxdriver,   2,   0x2,  '?',    -1,   vxint2, C 0xffffffff,  0,  0x0 },
	{ &vxdriver,   3,   0x3,  '?',    -1,   vxint3, C 0xffffffff,  0,  0x0 },
	{ &vxdriver,   4,   0x4,  '?',    -1,   vxint4, C 0xfe0000,  0,  0x0 },
	{ &vxdriver,   5,   0x5,  '?',    -1,   vxint5, C 0xfe4000,  0,  0x0 },
	{ &vxdriver,   6,   0x6,  '?',    -1,   vxint6, C 0xfe8000,  0,  0x0 },
	{ &vxdriver,   7,   0x7,  '?',    -1,   vxint7, C 0xfec000,  0,  0x0 },
	0
};
