/*	linesw.c (tty_conf.c)	6.2	83/09/25	*/

#include "../sys/param.h"
#include "../sys/systm.h"
#include "../sys/buf.h"
#include "../sys/tty.h"
#include "../sys/conf.h"
#include "../cf/config.h"

int	nodev();
int	nulldev();


int	ttopen(),
	ttclose(),
	ttread(),
	ttwrite(),
	ttioctl(),
	ttin(),
	ttout();


#if NSXT > 0
extern	sxtin(),
	sxtout(),
	sxtrwrite();
#else
#define	sxtin		nulldev
#define	sxtout		nulldev
#define	sxtrwrite	nulldev
#endif

#if NVBSC > 0
int	bscrxc(), bsctxd();
#else
#define	bscrxc		nulldev
#define	bsctxd		nulldev
#endif

#if NSL > 0
extern	slopen(),
	slioctl(),
	slin(),
	slout();
#else
#define	slopen		nodev
#define	slioctl	nulldev
#define	slin		nulldev
#define	slout		nulldev
#endif


struct	linesw linesw[] = {
	ttopen,	ttclose, ttread, ttwrite, ttioctl, ttin, ttout, nulldev,
	nulldev, nulldev, nulldev, sxtrwrite, nulldev, sxtin, sxtout, nulldev,
	nulldev, nulldev, nulldev, nulldev, nulldev, nulldev, nulldev, nulldev,
	slopen, nulldev, nulldev, nulldev, slioctl, slin, slout, nulldev,
/*4*/	nulldev, nulldev, nulldev, nulldev, nulldev, bscrxc, bsctxd, nulldev,
};
int	nldisp = sizeof (linesw) / sizeof (linesw[0]);


/*
 * Do nothing specific version of line
 * discipline specific ioctl command.
 */
/*ARGSUSED*/
nullioctl(tp, cmd, data, flags)
	struct tty *tp;
	char *data;
	int flags;
{
#ifdef lint
	tp = tp; data = data; flags = flags;
#endif
	return (-1);
}
