/*	clock.h	4.5	81/02/23	*/

#define	SECDAY		((unsigned)(24*60*60))		/* seconds per day */
#define	SECYR		((unsigned)(365*SECDAY))	/* per common year */

#define	YRREF		1970
#define	LEAPYEAR(year)	((year)%4==0)	/* good till time becomes negative */

/*
 * Software clock is software interrupt level 8
 */
#define	setsoftclock()	asm("mtpr $0x8, $0x10")
#define	splsoftclock()	asm("mtpr $0x8, $0x8")

struct timeval last_uniqtime;
int uniq_uniqtime;

#define UNIQTIME(tv)\
{\
	while (last_uniqtime.tv_usec != time.tv_usec ||\
	last_uniqtime.tv_sec != time.tv_sec) {\
		last_uniqtime = time;\
		uniq_uniqtime = 0;\
	}\
	*(tv) = last_uniqtime;\
	(tv)->tv_usec += uniq_uniqtime++;\
}
