/*
 * scb.s -- System Control Block.
 */


#define	_Xnull	0
#define	STRAY	.long	_Xstray
#define	STRAY8	STRAY;STRAY;STRAY;STRAY;STRAY;STRAY;STRAY;STRAY
#define	STRAY15	STRAY;STRAY;STRAY;STRAY;STRAY;STRAY;STRAY;STRAY8
#define	KS(a)	.long	_X/**/a
#define	IS(a)	.long	_X/**/a

_scb:	.globl	_scb
/* 000 */	STRAY;		IS(powfail);	IS(doadump);	STRAY;
/* 004 */	STRAY;		STRAY;		STRAY;		IS(hardclock);
/* 008 */	STRAY;		STRAY;		IS(cnrint);	IS(cnxint);
/* 00c */	IS(rmtrint);	IS(rmtxint);	STRAY;		STRAY;
/* 010 */	IS(soft15);	IS(soft14);	IS(soft13);	IS(netintr);
/* 014 */	IS(soft11);	IS(soft10);	IS(soft9);	IS(softclock);
/* 018 */	IS(soft7); 	IS(soft6);	IS(soft5);	IS(soft4);
/* 01c */	IS(soft3);	IS(soft2);	IS(soft1);	STRAY;
/* 020 */	IS(buserr);	STRAY;		STRAY;		STRAY;
/* 024 */	STRAY;		STRAY;		STRAY;		STRAY;
/* 028 */	STRAY;		STRAY;		STRAY;		KS(syscall);
/* 02c */	KS(privinflt);	KS(resopflt);	KS(resadflt);	KS(protflt);
/* 030 */	KS(transflt);	IS(kspnotval);	KS(tracep);	KS(bptflt);
/* 034 */	KS(arithtrap);	KS(alignflt);	KS(sfexcep);	KS(fpm);
/* 038 */	STRAY;		STRAY;		STRAY;		STRAY;
/* 03c */	STRAY;		STRAY;		STRAY;		STRAY;
/* 040 */	IS(vackint0);	IS(vcmdrsp0);	IS(vunsol0);	STRAY;
/* 044 */	IS(vackint1);	IS(vcmdrsp1);	IS(vunsol1);	STRAY;
/* 048 */	IS(vackint2);	IS(vcmdrsp2);	IS(vunsol2);	STRAY;
/* 04c */	IS(vackint3);	IS(vcmdrsp3);	IS(vunsol3);	STRAY;
/* 050 */	IS(vackint4);	IS(vcmdrsp4);	IS(vunsol4);	STRAY;
/* 054 */	IS(vackint5);	IS(vcmdrsp5);	IS(vunsol5);	STRAY;
/* 058 */	IS(vackint6);	IS(vcmdrsp6);	IS(vunsol6);	STRAY;
/* 05c */	IS(vackint7);	IS(vcmdrsp7);	IS(vunsol7);	STRAY;
/* 060 */	IS(vackint8);	IS(vcmdrsp8);	IS(vunsol8);	STRAY;
/* 064 */	IS(vackint9);	IS(vcmdrsp9);	IS(vunsol9);	STRAY;
/* 068 */	IS(vackint10);	IS(vcmdrsp10);	IS(vunsol10);	STRAY;
/* 06c */	IS(vackint11);	IS(vcmdrsp11);	IS(vunsol11);	STRAY;
/* 070 */	IS(vackint12);	IS(vcmdrsp12);	IS(vunsol12);	STRAY;
/* 074 */	IS(vackint13);	IS(vcmdrsp13);	IS(vunsol13);	STRAY;
/* 078 */	IS(vackint14);	IS(vcmdrsp14);	IS(vunsol14);	STRAY;
/* 07c */	STRAY;		STRAY;		STRAY;		STRAY;
/* 080 */	IS(cyintr0);	STRAY15;
/* 090 */	STRAY;		STRAY;		STRAY;		STRAY;
/* 094 */	IS(xyintr0);	IS(xyintr1);	STRAY;		STRAY;
/* 098 */	STRAY;		STRAY;		STRAY;		STRAY;
/* 09c */	STRAY;		STRAY;		STRAY;		STRAY;
/* 0a0 */	IS(enxintr0);	IS(enrintr0);	STRAY;          STRAY;
/* 0a4 */	STRAY;		STRAY;		STRAY;		STRAY;
/* 0a8 */	IS(enxintr1);	IS(enrintr1);   STRAY;          STRAY;
/* 0ac */	STRAY;		STRAY;		STRAY;		STRAY;
/* 0b0 */	STRAY;		STRAY;		STRAY;		STRAY;
/* 0b4 */	STRAY;		STRAY;		STRAY;		STRAY;
/* 0b8 */	IS(exintr0);	IS(exintr1);	STRAY;		STRAY;
/* 0bc */	STRAY;		STRAY;		STRAY;		STRAY;
/* 0c0 */	IS(cyintr1);	STRAY15;
/* 0d0 */	IS(xpintr0);	STRAY15;
/* 0e0 */	IS(vdintr0);	IS(vdintr1);	IS(vdintr2);	IS(vdintr3);
/* 0e4 */	STRAY;		STRAY;		STRAY;		STRAY;	
/* 0e8 */	STRAY8;
/* 0f0 */	IS(hdintr0);	IS(hdintr1);	IS(hdintr2); 	IS(hdintr3);
/* 0f4 */	IS(hdintr4);	IS(hdintr5);	IS(hdintr6); 	IS(hdintr7);
/* 0f8 */	IS(hdintr8);	IS(hdintr9);	IS(hdintr10); 	IS(hdintr11);
/* 0fc */	IS(hdintr12);	IS(hdintr13);	IS(hdintr14); 	IS(hdintr15);
