/* @(#)sysmacros.h	6.1 */
/*
 * Some macros for units conversion
 */
#define NBPG	1024
#define PGSHIFT	10
/* Core clicks to segments and vice versa */
#define ctos(x) (x)
#define	stoc(x) (x)

/* Core clicks to disk blocks */
#define	ctod(x) (x)

/* clicks to bytes */
#define	ctob(x)	((x)<<PGSHIFT)

/* bytes to clicks */
#define	btoc(x)	(((unsigned)(x)+(NBPG-1))>>PGSHIFT)
#define	btoct(x)	((unsigned)(x)>>PGSHIFT)

/* major part of a device */
#define	major(x)	((int)(((unsigned)(x)>>8)&0377))
#define	bmajor(x)	(int)((major(x))&037)
#define	brdev(x)	(x&0x1fff)

/* minor part of a device */
#define	minor(x)	((int)((x)&0377))

/* make a device number */
#define	makedev(x,y)	((dev_t)(((x)<<8) | (y)))

