   RESTART CONFIRM
/*
/*  Release Test Number 7
/*
/*  This command procedure constructs a sample stacked line graph
/*  which depicts oil well production.
/*
   STACKED LINE GRAPH
/*
/*  Define the datasets and associated display attributes:
/*
   AUTO INDEP DATASET 'MONTHS' 1,26,1
/*
   ENTER DEPENDENT DATASET Oil Production (BBL)
      999, 2164, 2515, 2724, 2445, 1528, 1201,  755,  906,
      800,  795,  747,  562,  219,  186,  183,  422,  478,
      384,  294,  292,  215,  248,  282,  177,  201   END
   FILL COLOR RED
   FILL PATTERN 42
   LINE STYLE SOLID
   LINE COLOR WHITE
   LINE WIDTH MEDIUM
/*
/*  Note that the second dataset is representing absolute values
/*  and so the corresponding values from the first dataset must
/*  be subtracted in order to have the chart "stack" properly.
/*
   ENTER DEPEN DATASET Gas Production (MCF)
      1431,  3593,  4447,  4251,  4325,  7906,  8428,
     10936, 12352, 11744, 11371, 11081, 10204,  7431,
      5369,  4260,  4497,  6299,  6109,  5566,  5397,
      4632,  4989,  4649,  4521,  5019    END
   FILL COLOR BLUE
   FILL PATTERN 43
   LINE STYLE SOLID
   LINE COLOR WHITE
   LINE WIDTH MEDIUM
/*
/*  Define the bottom axis:
/*
   GRID PLACEMENT  2, 26, 2
   GRID NOTES '3/82','5/82','7/82','9/82','11/82','1/83','3/83',
              '5/83','7/83','9/83','11/83','1/84','3/84'    END
   TEXT FONT COMPLEX
/*
/*  Define the left axis:
/*
   CURRENT AXIS LEFT
   CURRENT TEXTITEM LEFT GRID LABELS
   TEXT FONT COMPLEX
   AXIS LABEL Production Level (BBL/MCF)
   TEXT FONT COMPLEX
   ENABLE LEFT GRID LINES
/*
/*  Define additional chart annotation:
/*
   TITLE Production for Well Thomas #2
   TEXT FONT TRIPLEX
/*
   SUBTITLE Austin Chalk Formation, Winchester Prospect, Fayette, Texas
   TEXT FONT COMPLEX
   TEXT SIZE 2.75
/*
   NOTE 1 Graphics by Precision Visuals, Inc.
   TEXT SIZE 2.0
   TEXT FONT COMPLEX
   TEXT POSITION 7,3
   TEXT JUSTIFICATION LEFT,CENTER
/*
/*  Turn on the legend:
/*
   CURRENT TEXTITEM LEGEND ENTRIES
   TEXT FONT COMPLEX
   TEXT SIZE 2.0
   ENABLE TEXT BACKGROUND LEGEND ENTRIES
/*
   DISABLE CHART BACKGROUND
   PLOT
/*
/*  End of Release Test 7
/*
