#	@(#)Makefile	4.6	6/15/83
#
.UNIVERSE=ucb
CFLAGS = $(CFL)
LFLAGS = $(LFL)
ALL=	ftp ftpd

all:	${ALL}

ftp:	cmds.o cmdtab.o ftp.o getpass.o glob.o main.o
	${CC} ${CFLAGS} $(LFLAGS) cmds.o cmdtab.o ftp.o getpass.o glob.o main.o\
		-o ftp

ftpd:	ftpd.o ftpcmd.o glob.o vers.o
	${CC} ${CFLAGS} $(LFLAGS) ftpd.o ftpcmd.o glob.o vers.o -o ftpd

ftp.o:	${SL}/usr/include/arpa/ftp.h ftp_var.h
cmds.o:	${SL}/usr/include/arpa/ftp.h ftp_var.h
cmdtab.o: ftp_var.h
ftp.o:	ftp_var.h
main.o: ftp_var.h

vers.o:	ftpd.c ftpcmd.y
	sh newvers.sh
	${CC} ${CFLAGS} $(LFLAGS) -c vers.c

install: all
	install -r -f ${ROOT}/usr/ucb ftp
	install -r -f ${ROOT}/usr/etc ftpd

clean:
	rm -f *.o *.s errs core a.out t.? yacc.* y.tab.c

clobber: clean
	rm -f ${ALL}
