#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#      	@(#)make:make.mk	1.8.1.1

# The rules.c file can be modified locally for people who still like
#	things like fortran.

INSDIR=$(ROOT)/bin
LIBDIR=$(ROOT)/lib

CFLAGS=$(CFL)
TESTDIR=.
YACCRM=rm -f
LDFLAGS=-i -n $(LFL)
INS=install
LIBS=$(LIBDIR)/libc.a $(LIBDIR)/libld.a

OBJECTS =  \
	main.o \
	doname.o \
	misc.o \
	files.o \
	rules.o \
	dosys.o \
	gram.o \
	dyndep.o \
	prtmem.o


all:  make
	@echo MAKE is up to date.

make:  $(OBJECTS)
		$(LD) -o $(TESTDIR)/make $(LDFLAGS) $(LIBDIR)/crt0.o \
		$(OBJECTS) $(LIBS)

gram.c: gram.y

gram.o: gram.c

$(OBJECTS):  defs

install: all
	$(INS) -r -f $(INSDIR) $(TESTDIR)/make

clean:
	-rm -f *.o
	$(YACCRM) gram.c

clobber: clean
	-rm -f $(TESTDIR)/make

.DEFAULT:
	$(GET) $(GFLAGS) -p s.$< > $<

