#!/bin/sh
for A in $*
do
	if [ `basename $A .z` != `basename $A` ]
	then continue
	fi
	echo making $A.z
        /usr/ucb/getNAME -i $A | sed -e 's/\\\*.//g' -e 's/\\s\-.//g' -e 's/\\\&//g' \
		-e 's/\\\//\//g' -e 's/\\\-/\-/g' -e 's/\\s\+.//g' \
		-e 's/\\s.//g' -e 's/\://g' -e 's/\\f.//g' | cut -f1,1 > $A.n
	B=`cat $A.n`
	oman -T37 -d $A > $A.n
        rm -f $A
	mv $A.n $A
        rm -f $A.z
	pack -f $A
	chown bin $A.z
	chgrp bin $A.z
	for C in $B
	do
		D=`dirname $A`
		if [ "$D" = "." ]
		then D=""
                else D=$D/
		fi
		E="$D""$C".`echo $A | sed -e 's/.*\.//'`
		if [ "$E" != "$A" ] 
		then echo linked to $E.z
		ln -f "$A".z "$E".z
		chown bin $E.z
		chgrp bin $E.z
		fi
	done  
done
