#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#	"@(#)profiler:profiler.mk	1.4"

INCLUDE=$(INCLDIR)
INS = $(ROOT)/etc/install
FFLAG =
LDFLAGS = -s $(LFL)
CFLAGS=	$(CFL)

all:	prfld prfdc prfpr prfsnap prfstat

install: all
	 $(INS) -r -f $(ROOT)/etc -m 775 -s prfld
	 $(INS) -r -f $(ROOT)/etc -m 775 -s prfdc
	 $(INS) -r -f $(ROOT)/etc -m 775 -s prfpr
	 $(INS) -r -f $(ROOT)/etc -m 775 -s prfsnap
	 $(INS) -r -f $(ROOT)/etc -m 775 -s prfstat

prfld:		prfld.c
	$(CC) $(CFLAGS) $(FFLAG) $(LDFLAGS) -o prfld prfld.c $(LDLIBS)

prfdc:		prfdc.c
	$(CC) $(CFLAGS) $(FFLAG) $(LDFLAGS) -o prfdc prfdc.c

prfpr:		prfpr.c
	$(CC) $(CFLAGS) $(FFLAG) $(LDFLAGS) -o prfpr prfpr.c $(LDLIBS)

prfsnap:	prfsnap.c
	$(CC) $(CFLAGS) $(FFLAG) $(LDFLAGS) -o prfsnap prfsnap.c

prfstat:	prfstat.c
	$(CC) $(CFLAGS) $(FFLAG) $(LDFLAGS) -o prfstat prfstat.c $(LDLIBS)

clean:
	-rm -f prfdc prfld prfpr prfsnap prfstat

clobber:	clean
