#	@(#)sccs.mk	6.2
BIN = $(ROOT)/usr/bin
HELPLIB = $(ROOT)/usr/lib/help
CFLAGS= $(CFL)
ARGS =

all: libs cmds helplib
	@echo "SCCS is built"

libs:
	cd lib; $(MAKE) -e -f lib.mk $(PAR) PAR=$(PAR)

cmds:
	cd cmd; $(MAKE) -e -f cmd.mk $(ARGS) $(PAR) PAR=$(PAR)

helplib:
	cd help.d; $(MAKE) -e -f help.mk $(PAR) PAR=$(PAR)

install:
	cd lib; $(MAKE) -e -f lib.mk install $(PAR) PAR=$(PAR)
	cd cmd; $(MAKE) -e -f cmd.mk $(ARGS) BIN=$(BIN) install $(PAR) PAR=$(PAR)
	cd help.d; $(MAKE) -e -f help.mk HELPLIB=$(HELPLIB) install $(PAR) PAR=$(PAR)

clean:
	cd lib; $(MAKE) -e -f lib.mk clean $(PAR) PAR=$(PAR)
	cd cmd; $(MAKE) -e -f cmd.mk clean $(PAR) PAR=$(PAR)
	cd help.d; $(MAKE) -e -f help.mk clean $(PAR) PAR=$(PAR)

clobber:
	cd lib; $(MAKE) -e -f lib.mk clobber $(PAR) PAR=$(PAR)
	cd cmd; $(MAKE) -e -f cmd.mk clobber BIN=$(BIN) $(PAR) PAR=$(PAR)
	cd help.d; $(MAKE) -e -f help.mk clobber HELPLIB=$(HELPLIB) $(PAR) PAR=$(PAR)
