/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

/*    	"@(#)sdb:com/machdep.h	1.19"   */

#include	<sys/param.h>
#include	<signal.h>


#include	<sys/dir.h>


#include	<sys/user.h>
#include	<sys/errno.h>
#include	<a.out.h>
#include	"reg.h"
#include	<sys/stat.h>

union	{
	   struct user U;
	   ADDR UU[ctob(UPAGES)/NBPW];
	} udot;
#define	u	udot.U
#define	uw	udot.UU

#define	XTOB(a)	(ctob(a))
#define	KERNOFF	0xC0000000
#define	MAXSTOR	(KERNOFF - XTOB(UPAGES))

#define	PAGSIZ	1024L
#define PROCOFFSET	2	/* offset to first instrucion */

#define	RETREG	0
extern ADDR	callpc, frame;		/* current stack frame */

#define WORDSIZE (sizeof(int))	/* wordsize in bytes on this machine */
#define REGSIZE WORDSIZE	/* register size in bytes on this machine */

#define NOBACKUP 0		/* set to 1 if machine does not back up */
			        /* to previous instruction at exception */
#define ADDRTYPE	'd'	/* type of address for getval */

#define MAXPOS	80		/* maximum address */

/* ptracew modes */
#define	SETTRC	0
#define	RDUSER	2
#define	RIUSER	1
#define	WDUSER	5
#define WIUSER	4
#define	RUREGS	3
#define	WUREGS	6
#define	CONTIN	7
#define	EXIT	8
#define SINGLE	9

extern REGLIST reglist [];

#define SDBREG(A) uw[A]
#define SYSREG(A) A
#define ISCALL	  ((get(dot, ISP) & 0xff) == 0xef)


#define NUMREGS 16	/* number of general purpose registers */
#define NUMREGLS 25	/* number of registers in reglist */

#define ISREGN(reg)	(0<= (reg) && (reg) < NUMREGS)

#define USERPC  SDBREG(PC)

union word {
	char c[WORDSIZE]; 
	unsigned char cu[WORDSIZE];
	short s[WORDSIZE/2];
	unsigned short su[WORDSIZE/2];
	int w;
	unsigned int iu;
	long l;
	float f;
};
union dbl {
	struct {
		int w1, w2;
	} ww;
	double dd;
	int i;
	float f;
	char cc[WORDSIZE*2];
};
