	/*	@(#)dis.h	1.2	*/


#define VARNO 36	/* Max number of operands saved in VAX instruction */
#define PCNO 15		/* Number of PC register			   */
/*
 * Argument access types
 */
#define ACCA	(8<<3)	/* address only */
#define ACCR	(1<<3)	/* read */
#define ACCW	(2<<3)	/* write */
#define ACCM	(3<<3)	/* modify */
#define ACCB	(4<<3)	/* branch displacement */
#define ACCI	(5<<3)	/* XFC code */

/*
 * Argument data types
 */
#define TYPB	0	/* byte */
#define TYPW	1	/* word */
#define TYPL	2	/* long */
#define TYPQ	3	/* quad */
#define TYPF	4	/* floating */
#define TYPD	5	/* double floating */


struct optab {
	char *iname;
	char val;
	char nargs;
	unsigned char argtype[6];
};

extern char * 	regname[];

#define LOBYTE	0xff

