#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#     	"@(#)sed:sed.mk	1.9"
#	sed make file

RDIR = $(SL)/sed/sed
INS = :
REL = current
CSID = -r`gsid sed $(REL)`
MKSID = -r`gsid sed.mk $(REL)`
LIST = lp
INSDIR = $(ROOT)/bin
IFLAG = -n
B10 =
CFLAGS =$(B10) $(CFL)
LDFLAGS = -s $(IFLAG) $(LFL)
SOURCE = sed.h sed0.c sed1.c
FILES = sed0.o sed1.o
MAKE = make

all: sed
	:

sed:	$(FILES)
	$(CC) $(CFLAGS) $(LDFLAGS) -o sed $(FILES) $(LDLIBS)
	$(INS) $(INSDIR) sed

$(FILES)::  sed.h
	:

install:
	$(MAKE) -f sed.mk INS="install -r -f" $(PAR) PAR=$(PAR)

build:	bldmk
	get -p $(CSID) s.sed.src $(REWIRE) | ntar -d $(RDIR) -g
bldmk:  ;  get -p $(MKSID) s.sed.mk > $(RDIR)/sed.mk

listing:
	pr sed.mk $(SOURCE) | $(LIST)
listmk: ;  pr sed.mk | $(LIST)

edit:
	get -e -p s.sed.src | ntar -g

delta:
	ntar -p $(SOURCE) > sed.src
	delta s.sed.src
	rm -f $(SOURCE)

mkedit:  ;  get -e s.sed.mk
mkdelta: ;  delta s.sed.mk

clean:
	  rm -f $(FILES)

clobber:  clean
	  rm -f sed

delete:	clobber
	rm -f $(SOURCE)
