# $Header: /talk/RCS/Makefile.dist,v 1.3 83/06/23 02:20:37 moore Exp $
.UNIVERSE=ucb
CFLAGS =  $(CFL)
LFLAGS = $(LFL)
DOBJECT = talkd.o announce.o process.o table.o print.o
TOBJECT = talk.o get_names.o display.o io.o ctl.o init_disp.o\
	  msgs.o get_addrs.o ctl_transact.o invite.o look_up.o
DSOURCE = talkd.c announce.c process.c table.c print.c
TSOURCE = talk.c get_names.c display.c io.c ctl.c init_disp.c\
	  msgs.c get_addrs.c ctl_transact.c invite.c look_up.c
INCLUDE = talk.h ctl.h talk_ctl.h
SOURCE = ${DSOURCE} ${TSOURCE}

all:	talk talkd

talkd:	${DOBJECT}
	${CC} $(LFLAGS) ${CFLAGS} -o talkd ${DOBJECT}

talk:	${TOBJECT}
	${CC} $(LFLAGS) ${CFLAGS} -o talk ${TOBJECT} -lcurses

${DOBJECT} : ctl.h
${TOBJECT} : ${INCLUDE}

install: all
	install -r -f ${ROOT}/usr/ucb talk
	install -r -f ${ROOT}/usr/etc talkd

clean:
	rm -f *.o

clobber: clean
	rm -f talk talkd

tags:	${SOURCE} ${INCLUDE}
	ctags ${SOURCE} ${INCLUDE}
