#	Copyright (c) 1984 AT&T
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

#     	"@(#)yacc:yacc.mk	1.5"
INC=$(INCLDIR)
UBIN=$(ROOT)/usr/bin
ULIB=$(ROOT)/usr/lib
CFLAGS= $(CFL)
LFLAGS = $(LFL)
TESTDIR = .
FRC =
INS = install
OFILES = y1.o y2.o y3.o y4.o

all: yacc

yacc:	$(OFILES)
	$(CC) $(CFLAGS) $(LFLAGS) $(LDFLAGS) -s -o $(TESTDIR)/yacc $(OFILES)

$(OFILES): dextern files $(FRC)
	   $(CC) -c $(CFLAGS) $(LFLAGS) y1.c y2.c y3.c y4.c

test:
	   rtest $(TESTDIR)/yacc

install:   all
	   $(INS) -r -f $(UBIN) $(TESTDIR)/yacc
	   $(INS) -r -f $(ULIB) $(TESTDIR)/yaccpar

clean:
	   -rm -f $(OFILES)

clobber:   clean
	   -rm -f $(TESTDIR)/yacc

FRC:
