
/*
 * strcatn.s	4.1 (HCX) June 1983 
 * 
 * Concatenate s2 on the end of s1.  S1's space must be large enough.
 * At most n characters are moved.
 * Return s1.
 * 
 * char *strcatn(s1, s2, n)
 * register char *s1, *s2;
 * register n;
*/

	.text
	.globl	_strcatn
	.align	1
_strcatn:
	.word	4		# saves r2

	tstl	12(fp)
	jgtr	n_ok
	movl	4(fp),r0
	clrb	(r0)
	ret
n_ok:
	movl	8(fp),r0
	movl	r0,r1
	cmps2			# r0 points at null at end of s2
	subl3	8(fp),r0,r2	# r2 = numberof non-null chars in s2
	cmpl	12(fp),r2
	jgeq	r2_ok
	movl	12(fp),r2	# r2 = min (n, length(s2))
r2_ok:
	movl	4(fp),r0
	movl	r0,r1
	cmps2			# r1 points at null at end of s1
	movl	8(fp),r0	# source for copy
	movs3			# actual copy
	clrb	(r1)		# null terminated string !
	movl	4(fp),r0
	ret
