/*	@(#)gcvt.c	1.5	*/
/*LINTLIBRARY*/

/*
 * gcvt  - Floating output conversion to
 * pleasant-looking string.
 */

#define TRIMZERO

extern char *ecvt();
char    gcvt_exp_char = 0;  /* exponent character */

char *
gcvt(number, ndigit, buf)
double	number;
int	ndigit;
char	*buf;
{
	int sign, decpt;
	register char *p1, *p2 = buf;
	register int i;
	int estyle;

	p1 = ecvt(number, ndigit, &decpt, &sign);
	if (sign)
		*p2++ = '-';
	estyle = (decpt > ndigit) || (decpt <= -4);

#ifdef TRIMZERO
	for (i=ndigit-1; i>0 && p1[i]=='0'; i--)
		ndigit--;
#endif

	if (estyle) {
		decpt--;
		*p2++ = *p1++;
		*p2++ = '.';
		for (i = 1; i < ndigit; i++)
			*p2++ = *p1++;
		if (gcvt_exp_char == 'G')
		        *p2++ = 'E';
		else
			*p2++ = 'e';
		if (decpt < 0) {
			decpt = -decpt;
			*p2++ = '-';
		} else
			*p2++ = '+';
		for (i = 1000; i != 0; i /= 10) /* 3B or CRAY, for example */
			if (i <= decpt || i <= 10) /* force 2 digits */
				*p2++ = (decpt / i) % 10 + '0';
	} else {
		if (decpt <= 0) {
			*p2++ = '0';
			*p2++ = '.';
			while (decpt < 0) {
				decpt++;
				*p2++ = '0';
			}
		}
		for (i = 1; i <= ndigit; i++) {
			*p2++ = *p1++;
			if (i == decpt)
				*p2++ = '.';
		}
		if (ndigit < decpt) {
			while (ndigit++ < decpt)
				*p2++ = '0';
			*p2++ = '.';
		}
	}
	*p2 = '\0';
	return (buf);
}
