#ifndef lint
static  char sccsid[] = "@(#)yellowup.c 86/04/22";
#endif

#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>

char domain_cache[256];         /* Returned by yellowup */
int usingyellow;

/*
 * check to see if yellow pages are up, and store that fact in usingyellow.
 * The check is performed once at startup and thereafter if flag is set
 */
int
yellowup(flag, from)
int flag;
char *from;
{
	static int firsttime = 1;
	char *key, *val;
	int keylen, vallen;
	int s;

	if (firsttime || flag) {
		firsttime = 0;
		if (domain_cache[0] == 0) {
			if (getdomainname(domain_cache, sizeof(domain_cache)) < 0) {
				fprintf(stderr,
				"%s: getdomainname system call missing\n",
				from);
				exit(1);
			}
		}
		if ((s = socket(AF_INET, SOCK_DGRAM, 0)) < 0)
		        usingyellow = 0;
		else
			usingyellow = !yp_bind(domain_cache);
	        close(s);
	}	
}
