/* doprnt.c 	HCX version 1/20/83 */
#include <stdio.h>

#define	STRMAX	(BUFSIZ>>2)
#define	RMAX	(STRMAX-50)

char *_punsign(), *_pfloat(), *_pscien(), *gcvt();
char * hex_table = "0123456789abcdef";
extern char fltpr_exp_char;
extern char gcvt_exp_char;
_doprnt(formp, argp, file)
	register char *formp;
	int *argp;
	FILE *file;
{
	register char *p, *s;
	register count, width, ndigit, decpt;
	int n, base, max;
	char c, rjust, zfill, ndfnd;
	char string[STRMAX];

loop:
	max = 0;
	s = p = string;
	while((c = *formp++) && c!='%') {
		*p++ = c;
		if (++max >= STRMAX-1) {
			_strout(STRMAX, s, 0, file, 0);
			p = string;
			max = 0;
		}
	}
	if((count = p-s) > 0)
		_strout(count, s, 0, file, 0);
	if(c == '\0')
		return;
	width = ndigit = rjust = ndfnd = 0;
	zfill = ' ';
	if(*formp == '-') {
		rjust++;
		formp++;
	}
	if(*formp == '0')
		zfill = '0';
	if(*formp == '*') {
		formp++;
		width = *argp++;
	}
	else while('0'<=*formp && *formp<='9')
		width = width*10+(*formp++)-'0';
	if(*formp == '.') {
		if(*++formp == '*') {
			formp++;
			ndigit = *argp++;
			ndfnd++;
		}
		else while('0'<=*formp && *formp<='9') {
			ndigit = ndigit*10+(*formp++)-'0';
			ndfnd++;
		}
	}
	p = string;
	switch(c = *formp++) {

	case 'c':
		zfill = ' ';
		*p++ = (*argp++)&0377;
		break;

	case 's':
		s = (char *)*argp++;
		if(s == NULL)
			s = "(null)";
		p = s;
		while(*p != '\0') {
			p++;
			if(--ndigit == 0)
				break;
		}
		break;

	case 'l':
	case 'L':
		switch(*formp++) {
		case 'd':
			goto case_d;
		case 'o':
			goto case_o;
		case 'x':
			hex_table = "0123456789abcdef";
			goto case_x;
		case 'u':
			goto case_u;
		case 'f':
			goto case_f;
		default:
			formp--;
			goto xdef;
		}
	case_d:
	case 'd':
	case 'D':
		n = *argp++;
		if(n < 0) {
			n = -n;
			*p++ = '-';
		}
		base = 10;
		goto pun;

	case_u:
	case 'u':
	case 'U':
		n = *argp++;
		base = 10;
		goto pun;

	case_o:
	case 'o':
	case 'O':
		n = *argp++;
		base = 8;
		goto pun;

	case 'x':
	case 'X':
		hex_table = (c == 'X') ?
		    "0123456789ABCDEF" : "0123456789abcdef";

	case_x:
		n = *argp++;
		base = 16;

	pun:
		if(n == 0)
			*p++ = '0';
		else
			p = _punsign(n, base, p);
		break;

	case 'g':
	case 'G':
	        gcvt_exp_char = c; /* set upper or lower exponent */
		p = gcvt(*((double *)argp), ndfnd?(ndigit>RMAX?RMAX:ndigit):6, p);
		gcvt_exp_char = 0;
		argp++;
		argp++;
		while(*p)
			p++;
		break;

	case_f:
	case 'f':
		p = _pfloat(*((double *)argp), ndfnd?(ndigit>RMAX?RMAX:ndigit):6, p);
		argp++;
		argp++;
		break;

	case 'e':
	case 'E':
	        fltpr_exp_char = c; /* upper or lower exponent */
		p = _pscien(*((double *)argp), (ndfnd?(ndigit>RMAX?RMAX:ndigit):6)+1, p);
		fltpr_exp_char = 0;
		argp++;
		argp++;
		break;

	xdef:
	default:
		*p++ = c;
	}
	count = p-s;
	if((width -= count) < 0)
		width = 0;
	if(rjust == 0)
		width = -width;
	_strout(count, s, width, file, zfill);
	goto loop;
}

char *
_punsign(n, base, p)
	register unsigned n;
	register base;
	register char *p;
{

	if(n==0)
		return(p);
	p = _punsign(n/base, base, p);
	*p = hex_table[n%base];
	return(++p);
}
