#
# Copyright (c) 1980 Regents of the University of California.
# All rights reserved.  The Berkeley software License Agreement
# specifies the terms and conditions for redistribution.
#
#	@(#)Makefile	5.2 (Berkeley) 6/26/85
#
CFLAGS=$(CFL)
LFLAGS=$(LFL)
TAGSFILE=tags

all: libdbm.a libdbm_p.a

libdbm.a: dbm.c
	$(CC) -c $(CFLAGS) dbm.c
	$(LD) -r -x -o libdbm.a dbm.o
	rm -f dbm.o

libdbm_p.a: dbm.c
	$(CC) -p -c $(CFLAGS) dbm.c
	$(LD) -r -x -o libdbm_p.a dbm.o
	rm -f dbm.o

install: all
	cp libdbm.a $(ROOT)/usr/lib/libdbm.a
	cp libdbm_p.a $(ROOT)/usr/lib/libp/libdbm.a
	chmod 644 $(ROOT)/usr/lib/libdbm.a $(ROOT)/usr/lib/libp/libdbm.a
	chgrp bin $(ROOT)/usr/lib/libdbm.a $(ROOT)/usr/lib/libp/libdbm.a
	chown bin $(ROOT)/usr/lib/libdbm.a $(ROOT)/usr/lib/libp/libdbm.a

tags:
	ctags -a -f $(TAGSFILE) `pwd`/dbm.c

clean:
	rm -f *.o errs a.out core

clobber: clean
	rm -f libdbm.a libdbm_p.a
