#	libvt0.a make file
#	SCCS:	@(#)vt0.mk	1.4

INSDIR = $(ROOT)/usr/lib
INS = cp
LIST = lp
CFLAGS = $(CFL)

SOURCE = arc.c box.c circle.c close.c dot.c erase.c frame.c label.c \
	 line.c linmod.c move.c open.c point.c space.c subr.c

OFILES = arc.o box.o circle.o close.o dot.o erase.o frame.o label.o \
	 line.o linmod.o move.o open.o point.o space.o subr.o

all:	libvt0.a

libvt0.a: $(OFILES)
	$(AR) rv libvt0.a $(OFILES)

install: all
	$(INS) libvt0.a $(INSDIR)
	chmod 644 $(INSDIR)/libvt0.a
	chgrp bin $(INSDIR)/libvt0.a
	chown bin $(INSDIR)/libvt0.a

listing: listmk
	pr vt0.mk $(SOURCE) | $(LIST)

listmk:
	pr vt0.mk | $(LIST)

clean:
	-rm -f $(OFILES)

clobber: clean
	-rm -f libvt0.a
