

/* #title     Prints contents of the term structure for debugging  */


print_fts(term)
struct termdef_struct *term;

{
   static char Bools [NUM_OF_BOOL][11] = {
     "bw        ", "am        ", "xsb       ", "xhp       ",
     "xenl      ", "eo        ", "gn        ", "hc        ",
     "km        ", "hs        ", "in        ", "da        ",
     "db        ", "mir       ", "msgr      ", "os        ",
     "eslok     ", "xt        ", "hz        ", "ul        ",
     "xon       ", "nxon      ", "mc5i      ", "chts      ",
     "nrrmc     ", "npc       ", "aspace    ", "nobell    ",
     "nxtd      ", "nxti      ", "pt        ", "putblank  ",
     "charattrib", "hbee      "
    };

   static char Nums[ NUM_OF_NUM ][11] = {
     "cols      ", "it        ", "lines     ", "lm        ",
     "xmc       ", "pb        ", "vt        ", "wsl       ",
     "nlab      ", "lh        ", "lw        ", "kn        ",
     "ug        "
    };

   static char Strings[ NUM_OF_STR ][11] = {
     "cbt       ", "bel       ", "cr        ", "csr       ",
     "tbc       ", "clear     ", "el        ", "ed        ",
     "hpa       ", "cmdch     ", "cup       ", "cud1      ",
     "home      ", "civis     ", "cub1      ", "mrcup     ",
     "cnorm     ", "cuf1      ", "ll        ", "cuu1      ",
     "cvvis     ", "dch1      ", "dl1       ", "dsl       ",
     "hd        ", "smacs     ", "blink     ", "bold      ",
     "smcup     ", "smdc      ", "dim       ", "smir      ",
     "invis     ", "prot      ", "rev       ", "smso      ",
     "smul      ", "ech       ", "rmacs     ", "sgr0      ",
     "rmcup     ", "rmdc      ", "rmir      ", "rmso      ",
     "rmul      ", "flash     ", "ff        ", "fsl       ",
     "is1       ", "is2       ", "is3       ", "if        ",
     "ich1      ", "il1       ", "ip        ", "kbs       ",
     "ktbc      ", "kclr      ", "kctab     ", "kdch1     ",
     "kdl1      ", "kcud1     ", "krmir     ", "kel       ",
     "ked       ", "kf0       ", "kf1       ", "kf10      ",
     "kf2       ", "kf3       ", "kf4       ", "kf5       ",
     "kf6       ", "kf7       ", "kf8       ", "kf9       ",
     "khome     ", "kich1     ", "kil1      ", "kcub1     ",
     "kll       ", "knp       ", "kpp       ", "kcuf1     ",
     "kind      ", "kri       ", "khts      ", "kcuu1     ",
     "rmkx      ", "smkx      ", "lf0       ", "lf1       ",
     "lf10      ", "lf2       ", "lf3       ", "lf4       ",
     "lf5       ", "lf6       ", "lf7       ", "lf8       ",
     "lf9       ", "rmm       ", "smm       ", "nel       ",
     "pad       ", "dch       ", "dl        ", "cud       ",
     "ich       ", "indn      ", "il        ", "cub       ",
     "cuf       ", "rin       ", "cuu       ", "pfkey     ",
     "pfloc     ", "pfx       ", "mc0       ", "mc4       ",
     "mc5       ", "rep       ", "rs1       ", "rs2       ",
     "rs3       ", "rf        ", "rc        ", "vpa       ",
     "sc        ", "ind       ", "ri        ", "sgr       ",
     "hts       ", "wind      ", "ht        ", "tsl       ",
     "uc        ", "hu        ", "iprog     ", "ka1       ",
     "ka3       ", "kb2       ", "kc1       ", "kc3       ",
     "mc5p      ", "rmp       ", "acsc      ", "pln       ",
     "kcbt      ", "smxon     ", "rmxon     ", "smam      ",
     "rmam      ", "xonc      ", "soffc     ", "enacs     ",
     "smln      ", "rmln      ", "kbeg      ", "kcan      ",
     "kclo      ", "kcmd      ", "kcpy      ", "kcrt      ",
     "kend      ", "kent      ", "kext      ", "kfnd      ",
     "khlp      ", "kmrk      ", "kmsg      ", "kmov      ",
     "knxt      ", "kopn      ", "kopt      ", "kprv      ",
     "kprt      ", "krdo      ", "kref      ", "krfr      ",
     "krpl      ", "krst      ", "kres      ", "ksav      ",
     "kspd      ", "kund      ", "kBEG      ", "kCAN      ",
     "kCMD      ", "kCPY      ", "kCRT      ", "kDC       ",
     "kDL       ", "kslt      ", "kEND      ", "kEOL      ",
     "kEXT      ", "kHLP      ", "kHOM      ", "kIC       ",
     "kLFT      ", "kMSG      ", "kMOV      ", "kNXT      ",
     "kOPT      ", "kPRV      ", "kPRT      ", "kRDO      ",
     "kRPL      ", "kRIT      ", "kRES      ", "kSAV      ",
     "kSPO      ", "kUND      ", "rfi       ", "kf11      ",
     "kf12      ", "kf13      ", "kf14      ", "kf15      ",
     "kf16      ", "kf17      ", "kf18      ", "kf19      ",
     "kf20      ", "kf21      ", "kf22      ", "kf23      ",
     "kf24      ", "kf25      ", "kf26      ", "kf27      ",
     "kf28      ", "kf29      ", "kf30      ", "kf31      ",
     "kf32      ", "kf33      ", "kf34      ", "kf35      ",
     "kf36      ", "kf37      ", "kf38      ", "kf39      ",
     "kf40      ", "kf41      ", "kf42      ", "kf43      ",
     "kf44      ", "kf45      ", "kf46      ", "kf47      ",
     "kf48      ", "kf49      ", "kf50      ", "kf51      ",
     "kf52      ", "kf53      ", "kf54      ", "kf55      ",
     "kf56      ", "kf57      ", "kf58      ", "kf59      ",
     "kf60      ", "kf61      ", "kf62      ", "kf63      ",
     "el1       ", "mgc       ", "smgl      ", "smgr      ",
     "lf11      ", "lf12      ", "lf13      ", "lf14      ",
     "lf15      ", "lf16      ", "lf17      ", "lf18      ",
     "lf19      ", "lf20      ", "lf21      ", "lf22      ",
     "lf23      ", "lf24      ", "lf25      ", "lf26      ",
     "lf27      ", "lf28      ", "lf29      ", "lf30      ",
     "lf31      ", "lf32      ", "lf33      ", "lf34      ",
     "lf35      ", "lf36      ", "cent      ", "kattn     ",
     "kattrib   ", "kbtb      ", "kbtb1     ", "kbtb2     ",
     "kcent     ", "kel1      ", "kel2      ", "ked1      ",
     "ked2      ", "kcud2     ", "kcud3     ", "kcub2     ",
     "kcub3     ", "kcuf2     ", "kcuf3     ", "kcuu2     ",
     "kcuu3     ", "kdch2     ", "kdch3     ", "kdl2      ",
     "kdl3      ", "kdup      ", "kenter    ", "kenter1   ",
     "kenter2   ", "kfmark    ", "kform     ", "khome1    ",
     "khome2    ", "khost     ", "kil2      ", "kil3      ",
     "knew      ", "knew1     ", "knew2     ", "knot      ",
     "kpa1      ", "kpa2      ", "kpa3      ", "kreset    ",
     "kstats    ", "ksysr     ", "ktab      ", "ktab1     ",
     "ktab2     ", "kterminate", "ktrace    ", "kbar      ",
     "ma        ", "not       ", "sd3270    ", "su3270    ",
     "tx_blank  ", "sutx      ", "sdtx      ", "bar       ",
     "kprint    ", "kdev_cncl ", "kident    ", "kclr_ent  ",
     "use       ", "sl_on     ", "sl_off    ", "page_ins  ",
     "page_del  ", "grph_t1   ", "grph_t2   ", "grph_t3   ",
     "grph_t4   ", "grph_c1   ", "grph_c2   ", "grph_c3   ",
     "grph_c4   ", "grph_l1   ", "grph_l2   ", "grph_l3   ",
     "roll_on   ", "roll_off  ", "kprintprog", "kdind     ",
     "kiind     ", "kclr_chg  ", "soe       ", "enhe      ",
     "big_enhe  ", "del       ", "emark     ", "smark     ",
     "khelp     ", "lhelp     ", "kcursel   ", "lcursel   ",
     "kspec     ", "lspec     ", "lclr      ", "ldchl     ",
     "lel       ", "led       ", "lichl     ", "lattn     ",
     "lbtb      ", "ldup      ", "lenter    ", "lfmark    ",
     "lpa1      ", "lpa2      ", "lpa3      ", "lreset    ",
     "lstats    ", "lsysr     ", "ltab      ", "lprint    ",
     "ksoe      ", "lsoe      ", "knumov    ", "lnumov    ",
     "lnew      ", "lhome     ", "lattrib   ", "lcent     ",
     "lform     ", "lhost     ", "lnot      ", "lterminate",
     "ltrace    ", "lbar      ", "ldevcncl  ", "lident    ",
     "lclrent   ", "lmsg      ", "lprintprog", "ldind     ",
     "liind     ", "lclrchg   "
    };

FILE *w9 ;
unsigned char *ptr;
int      i;
int    cols;                                                        /*<TKW-06>*/



w9 = fopen("W9","w");
printf("writing contents of terminal definition structure to W9 \n");
fprintf(w9,"1Contents of term structure \n");
fprintf(w9," \n BOOLEANS \n");
for (i=0; i<NUM_OF_BOOL ; i++)
   fprintf(w9," (%3d) %s =  %-d \n", i, Bools[i], term->bool_attr[i] );
                                                                    /*<TKW-06>*/
                      /* NUMBERS */
fprintf(w9," \n NUMERICS \n");
for (i=0; i<NUM_OF_NUM ; i++)
   fprintf(w9," (%3d) %s =  %-d \n", i,Nums[i], term->num_attr[i] );/*<TKW-06>*/

                      /* STRING POINTERS */
fprintf(w9," \n STRINGS \n");
for(i=0;i<NUM_OF_STR;i++)
   {
 /*  fprintf(w9," String[ %s,%d ] = ",string[i],i); */
   fprintf(w9," (%3d) %s = ",i, Strings[i]);                        /*<TKW-06>*/
   cols = 21;                                                       /*<TKW-06>*/
   ptr = term->str_attr[i];
   if(ptr != NULL)
      {
      while(*ptr != NULL)                           /* ** */
         {                                          /* ** */
         if ((*ptr <= '~') && (*ptr >= ' '))        /* ** */
            {
            fprintf(w9," %c",*ptr);                 /* ** */
            cols += 2;                                              /*<TKW-06>*/
            }
         else                                       /* ** */
            {
            fprintf(w9," \\%03o",*ptr);             /* ** */
            cols += 5;                                              /*<TKW-06>*/
            }
         ptr++;                                     /* ** */
         if (cols >= 72 )                                           /*<TKW-06>*/
            {                                                       /*<TKW-06>*/
            fprintf( w9,"\n                    ");                  /*<TKW-06>*/
            cols = 21;                                              /*<TKW-06>*/
            }                                                       /*<TKW-06>*/
         }                                          /* ** */
      fprintf(w9," \n");                            /* ** */
      }
   /* fprintf(w9," %s\n",ptr);       */
   else
      fprintf(w9," EMPTY \n");                                      /*<TKW-06>*/
   }
}
