/*
 * Copyright (c) 1984 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 */

#ifndef lint
static char sccsid[] = "@(#)langpats.c	2.10 (Berkeley) 8/21/85";
#endif not lint

#include "inline.h"

/*
 * Pattern table for kernel specific routines.
 * These patterns are based on the old asm.sed script.
 */
struct pats language_ptab[] = {

#ifdef hcx
	{ 0, "_spl0\n",
"	mtpr	$0x0,$0x8\n" },

	{ 0, "_spl1\n",
"	mfpr	$0x8,r0\n\
	mtpr	$0x11,$0x8\n" },

	{ 0, "_spl2\n",
"	mfpr	$0x8,r0\n\
	mtpr	$0x12,$0x8\n" },

	{ 0, "_spl3\n",
"	mfpr	$0x8,r0\n\
	mtpr	$0x13,$0x8\n" },

	{ 0, "_spl4\n",
"	mfpr	$0x8,r0\n\
	mtpr	$0x14,$0x8\n" },

	{ 0, "_spl5\n",
"	mfpr	$0x8,r0\n\
	mtpr	$0x15,$0x8\n" },

	{ 0, "_spl6\n",
"	mfpr	$0x8,r0\n\
	mtpr	$0x16,$0x8\n" },

	{ 0, "_spl7\n",
"	mfpr	$0x8,r0\n\
	mtpr	$0x17,$0x8\n" },

	{ 0, "_spl8\n",
"	mfpr	$0x8,r0\n\
	mtpr	$0x18,$0x8\n" },

	{ 0, "_splimp\n",
"	mfpr	$0x8,r0\n\
	mtpr	$0x18,$0x8\n" },

	{ 0, "_splnet\n",
"	mfpr	$0x8,r0\n\
	mtpr	$0xc,$0x8\n" },

	{ 1, "_splx\n",
"	movl	(sp)+,r0\n\
	mtpr	r0,$0x08\n" },

	{ 1, "_uncache\n",
"	movl	(sp)+,r0\n\
	mtpr	r0,$0x1c\n" },

	{ 1, "_mfpr\n",
"	movl	(sp)+,r1\n\
	mfpr	r1,r0\n" },

	{ 2, "_mtpr\n",
"	movl	(sp)+,r0\n\
	movl	(sp)+,r1\n\
	mtpr	r0,r1\n" },

	{ 2, "_movob\n",
"	movob	3(sp),*4(sp)\n\
	movab	8(sp),sp\n" },

	{ 2, "_movow\n",
"	movow	2(sp),*4(sp)\n\
	movab	8(sp),sp\n" },

	{ 1, "_ffs\n",
"	movl	(sp)+,r1\n\
	ffs	r1,r0\n\
	incl	r0\n" },

	{ 1, "_ffc\n",
"	movl	(sp)+,r1\n\
	ffc	r1,r0\n\
	incl	r0\n" },

	{ 2, "__insque\n",
"	movl	(sp)+,r0\n\
	movl	(sp)+,r1\n\
	insque	(r0),(r1)\n" },

	{ 1, "__remque\n",
"	movl	(sp)+,r0\n\
	remque	(r0)\n" },

#endif hcx

	{ 0, "", "" }
};
