/*
 * Copyright (c) 1984 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 */

#ifndef lint
static char sccsid[] = "@(#)machpats.c	1.5 (Berkeley) 8/21/85";
#endif not lint

#include "inline.h"

/*
 * Pattern table for special VAX instructions.
 */
struct pats machine_ptab[] = {

#ifdef hcx

	{ 3, "_bcopy\n",
"	movl	(sp)+,r0\n\
	movl	(sp),r1\n\
	movl	r2,(sp)\n\
	movl	4(sp),r2\n\
	movblk\n\
	movl	(sp)+,r2\n\
	tstl	(sp)+\n" },

	{ 3, "_strncmp\n",
"	movl	(sp)+,r0\n\
	movl	(sp),r1\n\
	movl	r2,(sp)\n\
	movl	4(sp),r2\n\
	cmps3\n\
	bneq	3f\n\
	jmp	1f\n\
3:\n\
	movl	$1,r0\n\
	jmp	2f\n\
1:\n\
	clrl	r0\n\
2:\n\
	movl	(sp)+,r2\n\
	tstl	(sp)+\n" },

	{ 2, "_strcmp\n",
"	movl	(sp)+,r0\n\
	movl	(sp)+,r1\n\
	cmps2\n\
	bneq	3f\n\
	jmp	1f\n\
3:\n\
	movl	$1,r0\n\
	jmp	2f\n\
1:\n\
	clrl	r0\n\
2:\n" },

	{ 1, "_strlen\n",
"	movl	(sp),r0\n\
	movl	r0,r1\n\
	cmps2\n\
	subl2	(sp)+,r0\n" },

	{ 2, "_bzero\n",
"	movab	_ptrtozero,r0\n\
	movl	(sp),r1\n\
	movl	r2,(sp)\n\
	movl	4(sp),r2\n\
	movs3\n\
	movl	(sp)+,r2\n\
	tstl	(sp)+\n" },

	{ 0, "_caller\n",
"	movl	-8(fp),r0\n" },
#endif hcx

	{ 0, "", "" }
};
